Search documentation of wx

# View Source wxStyledTextCtrl (wx v2.4.2)

Functions for wxStyledTextCtrl class

A wxWidgets implementation of the Scintilla source code editing component.

As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips.

The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts.

`wxStyledTextCtrl` is a 1 to 1 mapping of "raw" scintilla interface, whose documentation can be found in the Scintilla website (http://www.scintilla.org/).

Please see `wxStyledTextEvent` for the documentation of all event types you can use with `wxStyledTextCtrl`.

Index of the member groups

Links for quick access to the various categories of `wxStyledTextCtrl` functions:

See: `wxStyledTextEvent`

This class is derived (and can use functions) from: `wxControl` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxStyledTextCtrl

# Summary

## Types

wxStyledTextCtrl()

## Functions

addText(This, Text)

Add text to the document at current position.

addTextRaw(This, Text)
addTextRaw/3

Add text to the document at current position.

allocate(This, Bytes)

Enlarge the document to a particular size of text bytes.

appendText(This, Text)

Append a string to the end of the document without changing the selection.

appendTextRaw(This, Text)
appendTextRaw/3

Append a string to the end of the document without changing the selection.

autoCompActive(This)

Is there an auto-completion list visible?

autoCompCancel(This)

Remove the auto-completion list from the screen.

autoCompComplete(This)

User has selected an item so remove the list and insert the selection.

autoCompGetAutoHide(This)

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

autoCompGetCancelAtStart(This)

Retrieve whether auto-completion cancelled by backspacing before start.

autoCompGetChooseSingle(This)

Retrieve whether a single item auto-completion list automatically choose the item.

autoCompGetCurrent(This)

Get currently selected item position in the auto-completion list.

autoCompGetDropRestOfWord(This)

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

autoCompGetIgnoreCase(This)

Retrieve state of ignore case flag.

autoCompGetMaxHeight(This)

Set the maximum height, in rows, of auto-completion and user lists.

autoCompGetMaxWidth(This)

Get the maximum width, in characters, of auto-completion and user lists.

autoCompGetSeparator(This)

Retrieve the auto-completion list separator character.

autoCompGetTypeSeparator(This)

Retrieve the auto-completion list type-separator character.

autoCompPosStart(This)

Retrieve the position of the caret when the auto-completion list was displayed.

autoCompSelect(This, Select)

Select the item in the auto-completion list that starts with a string.

autoCompSetAutoHide(This, AutoHide)

Set whether or not autocompletion is hidden automatically when nothing matches.

autoCompSetCancelAtStart(This, Cancel)

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

autoCompSetChooseSingle(This, ChooseSingle)

Should a single item auto-completion list automatically choose the item.

autoCompSetDropRestOfWord(This, DropRestOfWord)

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

autoCompSetFillUps(This, CharacterSet)

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

autoCompSetIgnoreCase(This, IgnoreCase)

Set whether case is significant when performing auto-completion searches.

autoCompSetMaxHeight(This, RowCount)

Set the maximum height, in rows, of auto-completion and user lists.

autoCompSetMaxWidth(This, CharacterCount)

Set the maximum width, in characters, of auto-completion and user lists.

autoCompSetSeparator(This, SeparatorCharacter)

Change the separator character in the string setting up an auto-completion list.

autoCompSetTypeSeparator(This, SeparatorCharacter)

Change the type-separator character in the string setting up an auto-completion list.

autoCompShow(This, LengthEntered, ItemList)

Display a auto-completion list.

autoCompStops(This, CharacterSet)

Define a set of character that when typed cancel the auto-completion list.

backTab(This)

Dedent the selected lines.

beginUndoAction(This)

Start a sequence of actions that is undone and redone as a unit.

braceBadLight(This, Pos)

Highlight the character at a position indicating there is no matching brace.

braceHighlight(This, PosA, PosB)

Highlight the characters at two positions.

braceMatch(This, Pos)

Find the position of a matching brace or wxSTC_INVALID_POSITION if no match.

callTipActive(This)

Is there an active call tip?

callTipCancel(This)

Remove the call tip from the screen.

callTipPosAtStart(This)

Retrieve the position where the caret was before displaying the call tip.

callTipSetBackground(This, Back)

Set the background colour for the call tip.

callTipSetForeground(This, Fore)

Set the foreground colour for the call tip.

callTipSetForegroundHighlight(This, Fore)

Set the foreground colour for the highlighted part of the call tip.

callTipSetHighlight(This, HighlightStart, HighlightEnd)

Highlight a segment of the definition.

callTipShow(This, Pos, Definition)

Show a call tip containing a definition near position pos.

callTipUseStyle(This, TabSize)

Enable use of wxSTC_STYLE_CALLTIP and set call tip tab size in pixels.

cancel(This)

Cancel any modes such as call tip or auto-completion list display.

canPaste(This)

Will a paste succeed?

canRedo(This)

Are there any redoable actions in the undo history?

canUndo(This)

Are there any undoable actions in the undo history?

charLeft(This)

Move caret left one character.

charLeftExtend(This)

Move caret left one character extending selection to new caret position.

charLeftRectExtend(This)

Move caret left one character, extending rectangular selection to new caret position.

charRight(This)

Move caret right one character.

charRightExtend(This)

Move caret right one character extending selection to new caret position.

charRightRectExtend(This)

Move caret right one character, extending rectangular selection to new caret position.

chooseCaretX(This)

Set the last x chosen value to be the caret x position.

clear(This)

Clear the selection.

clearAll(This)

Delete all text in the document.

clearDocumentStyle(This)

Set all style bytes to 0, remove all folding information.

clearRegisteredImages(This)

Clear all the registered images.

cmdKeyAssign(This, Key, Modifiers, Cmd)

When key+modifier combination keyDefinition is pressed perform sciCommand.

cmdKeyClear(This, Key, Modifiers)

When key+modifier combination keyDefinition is pressed do nothing.

cmdKeyClearAll(This)

Drop all key mappings.

cmdKeyExecute(This, Cmd)

Perform one of the operations defined by the wxSTCCMD* constants.

colourise(This, Start, End)

Colourise a segment of the document using the current lexing language.

convertEOLs(This, EolMode)

Convert all line endings in the document to one mode.

copy(This)

Copy the selection to the clipboard.

copyRange(This, Start, End)

Copy a range of text to the clipboard.

copyText(This, Length, Text)

Copy argument text to the clipboard.

create(This, Parent)
create/3

Create the UI elements for a STC that was created with the default ctor.

cut(This)

Cut the selection to the clipboard.

deleteBack(This)

Delete the selection or if no selection, the character before the caret.

deleteBackNotLine(This)

Delete the selection or if no selection, the character before the caret.

delLineLeft(This)

Delete back from the current position to the start of the line.

delLineRight(This)

Delete forwards from the current position to the end of the line.

delWordLeft(This)

Delete the word to the left of the caret.

delWordRight(This)

Delete the word to the right of the caret.

destroy(This)

Destructor.

docLineFromVisible(This, DisplayLine)

Find the document line of a display line taking hidden lines into account.

documentEnd(This)

Move caret to last position in document.

documentEndExtend(This)

Move caret to last position in document extending selection to new caret position.

documentStart(This)

Move caret to first position in document.

documentStartExtend(This)

Move caret to first position in document extending selection to new caret position.

doDragOver(This, X, Y, DefaultRes)

Allow for simulating a DnD DragOver.

doDropText(This, X, Y, Data)

Allow for simulating a DnD DropText.

editToggleOvertype(This)

Switch from insert to overtype mode or the reverse.

emptyUndoBuffer(This)

Delete the undo history.

endUndoAction(This)

End a sequence of actions that is undone and redone as a unit.

ensureCaretVisible(This)

Ensure the caret is visible.

ensureVisible(This, Line)

Ensure a particular line is visible by expanding any header line hiding it.

ensureVisibleEnforcePolicy(This, Line)

Ensure a particular line is visible by expanding any header line hiding it.

findColumn(This, Line, Column)

Find the position of a column on a line taking into account tabs and multi-byte characters.

findText(This, MinPos, MaxPos, Text)
findText/5

`Find some text in the document. @param minPos The position (starting from zero) in the document at which to begin the search @param maxPos The last position (starting from zero) in the document to which the search will be restricted. @param text The text to search for. @param flags (Optional) The search flags. This should be a bit list containing one or more of the @link wxStyledTextCtrl::wxSTC_FIND_WHOLEWORD wxSTC_FIND_* @endlink constants.`

formatRange(This, DoDraw, StartPos, EndPos, Draw, Target, RenderRect, PageRect)

On Windows, will draw the document into a display context such as a printer.

formFeed(This)

Insert a Form Feed character.

getAnchor(This)

Returns the position of the opposite end of the selection to the caret.

getBackSpaceUnIndents(This)

Does a backspace pressed when caret is within indentation unindent?

getBufferedDraw(This)

Is drawing done first into a buffer or direct to the screen?

getCaretForeground(This)

Get the foreground colour of the caret.

getCaretLineBackAlpha(This)

Get the background alpha of the caret line.

getCaretLineBackground(This)

Get the colour of the background of the line containing the caret.

getCaretLineVisible(This)

Is the background of the line containing the caret in a different colour?

getCaretPeriod(This)

Get the time in milliseconds that the caret is on and off.

getCaretSticky(This)

Can the caret preferred x position only be changed by explicit movement commands?

getCaretWidth(This)

Returns the width of the insert mode caret.

getCharAt(This, Pos)

Returns the character byte at the position.

getCodePage(This)

Get the code page used to interpret the bytes of the document as characters.

getColumn(This, Pos)

Retrieve the column number of a position, taking tab width into account.

getControlCharSymbol(This)

Get the way control characters are displayed.

getCurLine(This)

Retrieve the text of the line containing the caret.

getCurLineRaw(This)

Retrieve the text of the line containing the caret.

getCurrentLine(This)

Returns the line number of the line with the caret.

getCurrentPos(This)

Returns the position of the caret.

getEdgeColour(This)

Retrieve the colour used in edge indication.

getEdgeColumn(This)

Retrieve the column number which text should be kept within.

getEdgeMode(This)

Retrieve the edge highlight mode.

getEndAtLastLine(This)

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

getEndStyled(This)

Retrieve the position of the last correctly styled character.

getEOLMode(This)

Retrieve the current end of line mode - one of wxSTC_EOL_CRLF, wxSTC_EOL_CR, or wxSTC_EOL_LF.

getFirstVisibleLine(This)

Retrieve the display line at the top of the display.

getFoldExpanded(This, Line)

Is a header line expanded?

getFoldLevel(This, Line)

Retrieve the fold level of a line.

getFoldParent(This, Line)

Find the parent line of a child line.

getHighlightGuide(This)

Get the highlighted indentation guide column.

getIndent(This)

Retrieve indentation size.

getIndentationGuides(This)

Are the indentation guides visible?

getLastChild(This, Line, Level)

Find the last child line of a header line.

getLastKeydownProcessed(This)

Can be used to prevent the EVT_CHAR handler from adding the char.

getLayoutCache(This)

Retrieve the degree of caching of layout information.

getLength(This)

Returns the number of bytes in the document.

getLexer(This)

Retrieve the lexing language of the document.

getLine(This, Line)

Retrieve the contents of a line.

getLineCount(This)

Returns the number of lines in the document.

getLineEndPosition(This, Line)

Get the position after the last visible characters on a line.

getLineIndentation(This, Line)

Retrieve the number of columns that a line is indented.

getLineIndentPosition(This, Line)

Retrieve the position before the first non indentation character on a line.

getLineRaw(This, Line)

Retrieve the contents of a line.

getLineState(This, Line)

Retrieve the extra styling information for a line.

getLineVisible(This, Line)

Is a line visible?

getMarginLeft(This)

Returns the size in pixels of the left margin.

getMarginMask(This, Margin)

Retrieve the marker mask of a margin.

getMarginRight(This)

Returns the size in pixels of the right margin.

getMarginSensitive(This, Margin)

Retrieve the mouse click sensitivity of a margin.

getMarginType(This, Margin)

Retrieve the type of a margin.

getMarginWidth(This, Margin)

Retrieve the width of a margin in pixels.

getMaxLineState(This)

Retrieve the last line number that has line state.

getModEventMask(This)

Get which document modification events are sent to the container.

getModify(This)

Is the document different from when it was last saved?

getMouseDownCaptures(This)

Get whether mouse gets captured.

getMouseDwellTime(This)

Retrieve the time the mouse must sit still to generate a mouse dwell event.

getOvertype(This)

Returns true if overtype mode is active otherwise false is returned.

getPasteConvertEndings(This)

Get convert-on-paste setting.

getPrintColourMode(This)

Returns the print colour mode.

getPrintMagnification(This)

Returns the print magnification.

getPrintWrapMode(This)

Is printing line wrapped?

getProperty(This, Key)

Retrieve a "property" value previously set with SetProperty.

getReadOnly(This)

In read-only mode?

getScrollWidth(This)

Retrieve the document width assumed for scrolling.

getSearchFlags(This)

Get the search flags used by SearchInTarget.

getSelAlpha(This)

Get the alpha of the selection.

getSelectedText(This)

Retrieve the selected text.

getSelectedTextRaw(This)

Retrieve the selected text.

getSelection(This)

Gets the current selection span.

getSelectionEnd(This)

Returns the position at the end of the selection.

getSelectionMode(This)

Get the mode of the current selection.

getSelectionStart(This)

Returns the position at the start of the selection.

getSTCCursor(This)

Get cursor type.

getSTCFocus(This)

Get internal focus flag.

getStatus(This)

Get error status.

getStyleAt(This, Pos)

Returns the style byte at the position.

getStyleBits(This)

Retrieve number of bits in style bytes used to hold the lexical state.

getStyleBitsNeeded(This)

Retrieve the number of bits the current lexer needs for styling.

getTabIndents(This)

Does a tab pressed when caret is within indentation indent?

getTabWidth(This)

Retrieve the visible size of a tab.

getTargetEnd(This)

Get the position that ends the target.

getTargetStart(This)

Get the position that starts the target.

getText(This)

Retrieve all the text in the document.

getTextLength(This)

Retrieve the number of characters in the document.

getTextRange(This, StartPos, EndPos)

Retrieve a range of text.

getTextRangeRaw(This, StartPos, EndPos)

Retrieve a range of text.

getTextRaw(This)

Retrieve all the text in the document.

getTwoPhaseDraw(This)

Is drawing done in two phases with backgrounds drawn before foregrounds?

getUndoCollection(This)

Is undo history being collected?

getUseAntiAliasing(This)

Returns the current UseAntiAliasing setting.

getUseHorizontalScrollBar(This)

Is the horizontal scroll bar visible?

getUseTabs(This)

Retrieve whether tabs will be used in indentation.

getUseVerticalScrollBar(This)

Is the vertical scroll bar visible?

getViewEOL(This)

Are the end of line characters visible?

getViewWhiteSpace(This)

Are white space characters currently visible? Returns one of wxSTCWS* constants.

getWrapMode(This)

Retrieve whether text is word wrapped.

getWrapStartIndent(This)

Retrieve the start indent for wrapped lines.

getWrapVisualFlags(This)

Retrieve the display mode of visual flags for wrapped lines.

getWrapVisualFlagsLocation(This)

Retrieve the location of visual flags for wrapped lines.

getXOffset(This)

Get the xOffset (ie, horizontal scroll position).

getZoom(This)

Retrieve the zoom level.

gotoLine(This, Line)

Set caret to start of a line and ensure it is visible.

gotoPos(This, Caret)

Set caret to a position and ensure it is visible.

hideLines(This, LineStart, LineEnd)

Make a range of lines invisible.

hideSelection(This, Hide)

Draw the selection in normal style or with selection highlighted.

home(This)

Move caret to first position on line.

homeDisplay(This)

Move caret to first position on display line.

homeDisplayExtend(This)

Move caret to first position on display line extending selection to new caret position.

homeExtend(This)

Move caret to first position on line extending selection to new caret position.

homeRectExtend(This)

Move caret to first position on line, extending rectangular selection to new caret position.

homeWrapExtend(This)

Like HomeExtend but when word-wrap is enabled extends first to start of display line HomeDisplayExtend, then to start of document line HomeExtend.

indicatorGetForeground(This, Indicator)

Retrieve the foreground colour of an indicator.

indicatorGetStyle(This, Indicator)

Retrieve the style of an indicator.

indicatorSetForeground(This, Indicator, Fore)

Set the foreground colour of an indicator.

indicatorSetStyle(This, Indicator, IndicatorStyle)

Set an indicator to plain, squiggle or TT.

insertText(This, Pos, Text)

Insert string at a position.

insertTextRaw(This, Pos, Text)

Insert string at a position.

lineCopy(This)

Copy the line containing the caret.

lineCut(This)

Cut the line containing the caret.

lineDelete(This)

Delete the line containing the caret.

lineDown(This)

Move caret down one line.

lineDownExtend(This)

Move caret down one line extending selection to new caret position.

lineDownRectExtend(This)

Move caret down one line, extending rectangular selection to new caret position.

lineDuplicate(This)

Duplicate the current line.

lineEnd(This)

Move caret to last position on line.

lineEndDisplay(This)

Move caret to last position on display line.

lineEndDisplayExtend(This)

Move caret to last position on display line extending selection to new caret position.

lineEndExtend(This)

Move caret to last position on line extending selection to new caret position.

lineEndRectExtend(This)

Move caret to last position on line, extending rectangular selection to new caret position.

lineEndWrap(This)

Like LineEnd but when word-wrap is enabled goes first to end of display line LineEndDisplay, then to start of document line LineEnd.

lineEndWrapExtend(This)

Like LineEndExtend but when word-wrap is enabled extends first to end of display line LineEndDisplayExtend, then to start of document line LineEndExtend.

lineFromPosition(This, Pos)

Retrieve the line containing a position.

lineLength(This, Line)

How many characters are on a line, including end of line characters?

lineScroll(This, Columns, Lines)

Scroll horizontally and vertically.

lineScrollDown(This)

Scroll the document down, keeping the caret visible.

lineScrollUp(This)

Scroll the document up, keeping the caret visible.

linesJoin(This)

Join the lines in the target.

linesOnScreen(This)

Retrieves the number of lines completely visible.

linesSplit(This, PixelWidth)

Split the lines in the target into lines that are less wide than pixelWidth where possible.

lineTranspose(This)

Switch the current line with the previous.

lineUp(This)

Move caret up one line.

lineUpExtend(This)

Move caret up one line extending selection to new caret position.

lineUpRectExtend(This)

Move caret up one line, extending rectangular selection to new caret position.

loadFile(This, Filename)

Load the contents of filename into the editor.

lowerCase(This)

Transform the selection to lower case.

markerAdd(This, Line, MarkerNumber)

Add a marker to a line, returning an ID which can be used to find or delete the marker.

markerAddSet(This, Line, MarkerSet)

Add a set of markers to a line.

markerDefine(This, MarkerNumber, MarkerSymbol)
markerDefine/4

Set the symbol used for a particular marker number, and optionally the fore and background colours.

markerDefineBitmap(This, MarkerNumber, Bmp)

Define a marker with a `wxBitmap`.

markerDelete(This, Line, MarkerNumber)

Delete a marker from a line.

markerDeleteAll(This, MarkerNumber)

Delete all markers with a particular number from all lines.

markerDeleteHandle(This, MarkerHandle)

Delete a marker.

markerGet(This, Line)

Get a bit mask of all the markers set on a line.

markerLineFromHandle(This, MarkerHandle)

Retrieve the line number at which a particular marker is located.

markerNext(This, LineStart, MarkerMask)

Find the next line at or after lineStart that includes a marker in mask.

markerPrevious(This, LineStart, MarkerMask)

Find the previous line before lineStart that includes a marker in mask.

markerSetAlpha(This, MarkerNumber, Alpha)

Set the alpha used for a marker that is drawn in the text area, not the margin.

markerSetBackground(This, MarkerNumber, Back)

Set the background colour used for a particular marker number.

markerSetForeground(This, MarkerNumber, Fore)

Set the foreground colour used for a particular marker number.

moveCaretInsideView(This)

Move the caret inside current view if it's not there already.

new()

Default ctor.

new(Parent)
new/2

Ctor.

newLine(This)

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

pageDown(This)

Move caret one page down.

pageDownExtend(This)

Move caret one page down extending selection to new caret position.

pageDownRectExtend(This)

Move caret one page down, extending rectangular selection to new caret position.

pageUp(This)

Move caret one page up.

pageUpExtend(This)

Move caret one page up extending selection to new caret position.

pageUpRectExtend(This)

Move caret one page up, extending rectangular selection to new caret position.

paraDownExtend(This)

Extend selection down one paragraph (delimited by empty lines).

paraUp(This)

Move caret up one paragraph (delimited by empty lines).

paraUpExtend(This)

Extend selection up one paragraph (delimited by empty lines).

paste(This)

Paste the contents of the clipboard into the document replacing the selection.

pointFromPosition(This, Pos)

Retrieve the point in the window where a position is displayed.

positionAfter(This, Pos)

Given a valid document position, return the next position taking code page into account.

positionBefore(This, Pos)

Given a valid document position, return the previous position taking code page into account.

positionFromLine(This, Line)

Retrieve the position at the start of a line.

positionFromPoint(This, Pt)

Find the position from a point within the window.

positionFromPointClose(This, X, Y)

Find the position from a point within the window but return wxSTC_INVALID_POSITION if not close to text.

redo(This)

Redoes the next action on the undo history.

registerImage(This, Type, Bmp)

Register an image for use in autocompletion lists.

replaceSelection(This, Text)

Replace the selected text with the argument text.

replaceTarget(This, Text)

Replace the target text with the argument text.

saveFile(This, Filename)

Write the contents of the editor to filename.

scrollToColumn(This, Column)

Scroll enough to make the given column visible.

scrollToLine(This, Line)

Scroll enough to make the given line visible.

searchAnchor(This)

Sets the current caret position to be the search anchor.

searchInTarget(This, Text)

Search for a counted string in the target and set the target to the found range.

searchNext(This, SearchFlags, Text)

Find some text starting at the search anchor.

searchPrev(This, SearchFlags, Text)

Find some text starting at the search anchor and moving backwards.

selectAll(This)

Select all the text in the document.

selectionDuplicate(This)

Duplicate the selection.

selectionIsRectangle(This)

Is the selection rectangular? The alternative is the more common stream selection.

setAnchor(This, Anchor)

Set the selection anchor to a position.

setBackSpaceUnIndents(This, BsUnIndents)

Sets whether a backspace pressed when caret is within indentation unindents.

setBufferedDraw(This, Buffered)

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

setCaretForeground(This, Fore)

Set the foreground colour of the caret.

setCaretLineBackAlpha(This, Alpha)

Set background alpha of the caret line.

setCaretLineBackground(This, Back)

Set the colour of the background of the line containing the caret.

setCaretLineVisible(This, Show)

Display the background of the line containing the caret in a different colour.

setCaretPeriod(This, PeriodMilliseconds)

Get the time in milliseconds that the caret is on and off.

setCaretSticky(This, UseCaretStickyBehaviour)

Stop the caret preferred x position changing when the user types.

setCaretWidth(This, PixelWidth)

Set the width of the insert mode caret.

setCharsDefault(This)

Reset the set of characters for whitespace and word characters to the defaults.

setCodePage(This, CodePage)

Set the code page used to interpret the bytes of the document as characters.

setControlCharSymbol(This, Symbol)

Change the way control characters are displayed: If symbol is < 32, keep the drawn way, else, use the given character.

setCurrentPos(This, Caret)

Sets the position of the caret.

setEdgeColour(This, EdgeColour)

Change the colour used in edge indication.

setEdgeColumn(This, Column)

Set the column number of the edge.

setEdgeMode(This, EdgeMode)

The edge may be displayed by a line (wxSTC_EDGE_LINE/wxSTC_EDGE_MULTILINE) or by highlighting text that goes beyond it (wxSTC_EDGE_BACKGROUND) or not displayed at all (wxSTC_EDGE_NONE).

setEOLMode(This, EolMode)

Set the current end of line mode.

setFoldExpanded(This, Line, Expanded)

Show the children of a header line.

setFoldFlags(This, Flags)

Set some style options for folding.

setFoldLevel(This, Line, Level)

Set the fold level of a line.

setFoldMarginColour(This, UseSetting, Back)

Set one of the colours used as a chequerboard pattern in the fold margin.

setFoldMarginHiColour(This, UseSetting, Fore)

Set the other colour used as a chequerboard pattern in the fold margin.

setHighlightGuide(This, Column)

Set the highlighted indentation guide column.

setHotspotActiveBackground(This, UseSetting, Back)

Set a back colour for active hotspots.

setHotspotActiveForeground(This, UseSetting, Fore)

Set a fore colour for active hotspots.

setHotspotActiveUnderline(This, Underline)

Enable / Disable underlining active hotspots.

setHotspotSingleLine(This, SingleLine)

Limit hotspots to single line so hotspots on two lines don't merge.

setHScrollBar(This, Bar)

Set the horizontal scrollbar to use instead of the one that's built-in.

setIndent(This, IndentSize)

Set the number of spaces used for one level of indentation.

setIndentationGuides(This, IndentView)

Show or hide indentation guides.

setKeyWords(This, KeyWordSet, KeyWords)

Set up the key words used by the lexer.

setLastKeydownProcessed(This, Val)

Returns the line number of the line with the caret.

setLayoutCache(This, CacheMode)

Sets the degree of caching of layout information.

setLexer(This, Lexer)

Set the lexing language of the document.

setLexerLanguage(This, Language)

Set the lexing language of the document based on string name.

setLineIndentation(This, Line, Indentation)

Change the indentation of a line to a number of columns.

setLineState(This, Line, State)

Used to hold extra styling information for each line.

setMarginLeft(This, PixelWidth)

Sets the size in pixels of the left margin.

setMarginMask(This, Margin, Mask)

Set a mask that determines which markers are displayed in a margin.

setMarginRight(This, PixelWidth)

Sets the size in pixels of the right margin.

setMarginSensitive(This, Margin, Sensitive)

Make a margin sensitive or insensitive to mouse clicks.

setMargins(This, Left, Right)

Set the left and right margin in the edit area, measured in pixels.

setMarginType(This, Margin, MarginType)

Set a margin to be either numeric or symbolic.

setMarginWidth(This, Margin, PixelWidth)

Set the width of a margin to a width expressed in pixels.

setModEventMask(This, EventMask)

Set which document modification events are sent to the container.

setMouseDownCaptures(This, Captures)

Set whether the mouse is captured when its button is pressed.

setMouseDwellTime(This, PeriodMilliseconds)

Sets the time the mouse must sit still to generate a mouse dwell event.

setPasteConvertEndings(This, Convert)

Enable/Disable convert-on-paste for line endings.

setPrintColourMode(This, Mode)

Modify colours when printing for clearer printed text.

setPrintMagnification(This, Magnification)

Sets the print magnification added to the point size of each style for printing.

setProperty(This, Key, Value)

Set up a value that may be used by a lexer for some optional feature.

setReadOnly(This, ReadOnly)

Set to read only or read write.

setSavePoint(This)

Remember the current position in the undo history as the position at which the document was saved.

setScrollWidth(This, PixelWidth)

Sets the document width assumed for scrolling.

setSearchFlags(This, SearchFlags)

Set the search flags used by SearchInTarget.

setSelAlpha(This, Alpha)

Set the alpha of the selection.

setSelBackground(This, UseSetting, Back)

Set the background colour of the main and additional selections and whether to use this setting.

setSelection(This, From, To)

Selects the text starting at the first position up to (but not including) the character at the last position.

setSelectionEnd(This, Caret)

Sets the position that ends the selection - this becomes the caret.

setSelectionMode(This, SelectionMode)

Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).

setSelectionStart(This, Anchor)

Sets the position that starts the selection - this becomes the anchor.

setSelForeground(This, UseSetting, Fore)

Set the foreground colour of the main and additional selections and whether to use this setting.

setSTCCursor(This, CursorType)

Sets the cursor to one of the wxSTC_CURSOR* values.

setSTCFocus(This, Focus)

Change internal focus flag.

setStatus(This, Status)

Change error status - 0 = OK.

setStyleBytes(This, Length)

Set the styles for a segment of the document.

setStyling(This, Length, Style)

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

setTabIndents(This, TabIndents)

Sets whether a tab pressed when caret is within indentation indents.

setTabWidth(This, TabWidth)

Change the visible size of a tab to be a multiple of the width of a space character.

setTargetEnd(This, End)

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

setTargetStart(This, Start)

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

setText(This, Text)

Replace the contents of the document with the argument text.

setTextRaw(This, Text)

Replace the contents of the document with the argument text.

setTwoPhaseDraw(This, TwoPhase)

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.

setUndoCollection(This, CollectUndo)

Choose between collecting actions into the undo history and discarding them.

setUseHorizontalScrollBar(This, Visible)

Show or hide the horizontal scroll bar.

setUseTabs(This, UseTabs)

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

setUseVerticalScrollBar(This, Visible)

Show or hide the vertical scroll bar.

setViewEOL(This, Visible)

Make the end of line characters visible or invisible.

setViewWhiteSpace(This, ViewWS)

Make white space characters invisible, always visible or visible outside indentation.

setVisiblePolicy(This, VisiblePolicy, VisibleSlop)

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

setVScrollBar(This, Bar)

Set the vertical scrollbar to use instead of the one that's built-in.

setWhitespaceBackground(This, UseSetting, Back)

Set the background colour of all whitespace and whether to use this setting.

setWhitespaceChars(This, Characters)

Set the set of characters making up whitespace for when moving or selecting by word.

setWhitespaceForeground(This, UseSetting, Fore)

Set the foreground colour of all whitespace and whether to use this setting.

setWordChars(This, Characters)

Set the set of characters making up words for when moving or selecting by word.

setWrapMode(This, WrapMode)

Sets whether text is word wrapped.

setWrapStartIndent(This, Indent)

Set the start indent for wrapped lines.

setWrapVisualFlags(This, WrapVisualFlags)

Set the display mode of visual flags for wrapped lines.

setWrapVisualFlagsLocation(This, WrapVisualFlagsLocation)

Set the location of visual flags for wrapped lines.

setXCaretPolicy(This, CaretPolicy, CaretSlop)

Set the way the caret is kept visible when going sideways.

setYCaretPolicy(This, CaretPolicy, CaretSlop)

Set the way the line the caret is on is kept visible.

setZoom(This, ZoomInPoints)

Set the zoom level.

showLines(This, LineStart, LineEnd)

Make a range of lines visible.

startRecord(This)

Start notifying the container of all key presses and commands.

startStyling(This, Start)

Set the current styling position to start.

stopRecord(This)

Stop notifying the container of all key presses and commands.

stutteredPageDown(This)

Move caret to bottom of page, or one page down if already at bottom of page.

stutteredPageDownExtend(This)

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

stutteredPageUp(This)

Move caret to top of page, or one page up if already at top of page.

stutteredPageUpExtend(This)

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

styleClearAll(This)

Clear all the styles and make equivalent to the global default style.

styleResetDefault(This)

Reset the default style to its state at startup.

styleSetBackground(This, Style, Back)

Set the background colour of a style.

styleSetBold(This, Style, Bold)

Set a style to be bold or not.

styleSetCase(This, Style, CaseVisible)

Set a style to be mixed case, or to force upper or lower case.

styleSetCharacterSet(This, Style, CharacterSet)

Set the character set of the font in a style.

styleSetEOLFilled(This, Style, EolFilled)

Set a style to have its end of line filled or not.

styleSetFaceName(This, Style, FontName)

Set the font of a style.

styleSetFont(This, StyleNum, Font)

Set style size, face, bold, italic, and underline attributes from a `wxFont`'s attributes.

styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline)
styleSetFontAttr/8

Set all font style attributes at once.

styleSetFontEncoding(This, Style, Encoding)

Set the font encoding to be used by a style.

styleSetForeground(This, Style, Fore)

Set the foreground colour of a style.

styleSetHotSpot(This, Style, Hotspot)

Set a style to be a hotspot or not.

styleSetItalic(This, Style, Italic)

Set a style to be italic or not.

styleSetSize(This, Style, SizePoints)

Set the size of characters of a style.

styleSetSpec(This, StyleNum, Spec)

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements

styleSetUnderline(This, Style, Underline)

Set a style to be underlined or not.

styleSetVisible(This, Style, Visible)

Set a style to be visible or not.

tab(This)

If selection is empty or all on one line replace the selection with a tab character.

targetFromSelection(This)

Make the target range start and end be the same as the selection range start and end.

textHeight(This, Line)

Retrieve the height of a particular line of text in pixels.

textWidth(This, Style, Text)

Measure the pixel width of some text in a particular style.

toggleCaretSticky(This)

Switch between sticky and non-sticky: meant to be bound to a key.

toggleFold(This, Line)

Switch a header line between expanded and contracted.

undo(This)

Undo one action in the undo history.

upperCase(This)

Transform the selection to upper case.

usePopUp(This, PopUpMode)

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button on certain areas.

userListShow(This, ListType, ItemList)

Display a list of strings and send notification when user chooses one.

vCHome(This)

Move caret to before first visible character on line.

vCHomeExtend(This)

Like VCHome but extending selection to new caret position.

vCHomeRectExtend(This)

Move caret to before first visible character on line.

vCHomeWrap(This)

Like VCHome but when word-wrap is enabled goes first to start of display line VCHomeDisplay, then behaves like VCHome.

vCHomeWrapExtend(This)

Like VCHomeExtend but when word-wrap is enabled extends first to start of display line VCHomeDisplayExtend, then behaves like VCHomeExtend.

visibleFromDocLine(This, DocLine)

Find the display line of a document line taking hidden lines into account.

wordEndPosition(This, Pos, OnlyWordCharacters)

Get position of end of word.

wordLeft(This)

Move caret left one word.

wordLeftEnd(This)

Move caret left one word, position cursor at end of word.

wordLeftEndExtend(This)

Move caret left one word, position cursor at end of word, extending selection to new caret position.

wordLeftExtend(This)

Move caret left one word extending selection to new caret position.

wordPartLeft(This)

Move to the previous change in capitalisation.

wordPartLeftExtend(This)

Move to the previous change in capitalisation extending selection to new caret position.

wordPartRight(This)

Move to the change next in capitalisation.

wordPartRightExtend(This)

Move to the next change in capitalisation extending selection to new caret position.

wordRight(This)

Move caret right one word.

wordRightEnd(This)

Move caret right one word, position cursor at end of word.

wordRightEndExtend(This)

Move caret right one word, position cursor at end of word, extending selection to new caret position.

wordRightExtend(This)

Move caret right one word extending selection to new caret position.

wordStartPosition(This, Pos, OnlyWordCharacters)

Get position of start of word.

wrapCount(This, DocLine)

The number of display lines needed to wrap a document line.

zoomIn(This)

Magnify the displayed text by increasing the sizes by 1 point.

zoomOut(This)

Make the displayed text smaller by decreasing the sizes by 1 point.

# Types

Link to this type

# wxStyledTextCtrl()

View Source

    -type wxStyledTextCtrl() :: wx:wx_object().

# Functions

Link to this function

# addText(This, Text)

View Source

    -spec addText(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Add text to the document at current position.

Link to this function

# addTextRaw(This, Text)

View Source

    -spec addTextRaw(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: binary().

Link to this function

# addTextRaw/3

View Source

    -spec addTextRaw(This, Text, [Option]) -> ok
                        when This :: wxStyledTextCtrl(), Text :: binary(), Option :: {length, integer()}.

Add text to the document at current position.

Link to this function

# allocate(This, Bytes)

View Source

    -spec allocate(This, Bytes) -> ok when This :: wxStyledTextCtrl(), Bytes :: integer().

Enlarge the document to a particular size of text bytes.

Link to this function

# appendText(This, Text)

View Source

    -spec appendText(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Append a string to the end of the document without changing the selection.

Link to this function

# appendTextRaw(This, Text)

View Source

    -spec appendTextRaw(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: binary().

Link to this function

# appendTextRaw/3

View Source

    -spec appendTextRaw(This, Text, [Option]) -> ok
                           when This :: wxStyledTextCtrl(), Text :: binary(), Option :: {length, integer()}.

Append a string to the end of the document without changing the selection.

Link to this function

# autoCompActive(This)

View Source

    -spec autoCompActive(This) -> boolean() when This :: wxStyledTextCtrl().

Is there an auto-completion list visible?

Link to this function

# autoCompCancel(This)

View Source

    -spec autoCompCancel(This) -> ok when This :: wxStyledTextCtrl().

Remove the auto-completion list from the screen.

Link to this function

# autoCompComplete(This)

View Source

    -spec autoCompComplete(This) -> ok when This :: wxStyledTextCtrl().

User has selected an item so remove the list and insert the selection.

Link to this function

# autoCompGetAutoHide(This)

View Source

    -spec autoCompGetAutoHide(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

Link to this function

# autoCompGetCancelAtStart(This)

View Source

    -spec autoCompGetCancelAtStart(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether auto-completion cancelled by backspacing before start.

Link to this function

# autoCompGetChooseSingle(This)

View Source

    -spec autoCompGetChooseSingle(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether a single item auto-completion list automatically choose the item.

Link to this function

# autoCompGetCurrent(This)

View Source

    -spec autoCompGetCurrent(This) -> integer() when This :: wxStyledTextCtrl().

Get currently selected item position in the auto-completion list.

Link to this function

# autoCompGetDropRestOfWord(This)

View Source

    -spec autoCompGetDropRestOfWord(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

Link to this function

# autoCompGetIgnoreCase(This)

View Source

    -spec autoCompGetIgnoreCase(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve state of ignore case flag.

Link to this function

# autoCompGetMaxHeight(This)

View Source

    -spec autoCompGetMaxHeight(This) -> integer() when This :: wxStyledTextCtrl().

Set the maximum height, in rows, of auto-completion and user lists.

Link to this function

# autoCompGetMaxWidth(This)

View Source

    -spec autoCompGetMaxWidth(This) -> integer() when This :: wxStyledTextCtrl().

Get the maximum width, in characters, of auto-completion and user lists.

Link to this function

# autoCompGetSeparator(This)

View Source

    -spec autoCompGetSeparator(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the auto-completion list separator character.

Link to this function

# autoCompGetTypeSeparator(This)

View Source

    -spec autoCompGetTypeSeparator(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the auto-completion list type-separator character.

Link to this function

# autoCompPosStart(This)

View Source

    -spec autoCompPosStart(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the position of the caret when the auto-completion list was displayed.

Link to this function

# autoCompSelect(This, Select)

View Source

    -spec autoCompSelect(This, Select) -> ok when This :: wxStyledTextCtrl(), Select :: unicode:chardata().

Select the item in the auto-completion list that starts with a string.

Link to this function

# autoCompSetAutoHide(This, AutoHide)

View Source

    -spec autoCompSetAutoHide(This, AutoHide) -> ok when This :: wxStyledTextCtrl(), AutoHide :: boolean().

Set whether or not autocompletion is hidden automatically when nothing matches.

Link to this function

# autoCompSetCancelAtStart(This, Cancel)

View Source

    -spec autoCompSetCancelAtStart(This, Cancel) -> ok when This :: wxStyledTextCtrl(), Cancel :: boolean().

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

Link to this function

# autoCompSetChooseSingle(This, ChooseSingle)

View Source

    -spec autoCompSetChooseSingle(This, ChooseSingle) -> ok
                                     when This :: wxStyledTextCtrl(), ChooseSingle :: boolean().

Should a single item auto-completion list automatically choose the item.

Link to this function

# autoCompSetDropRestOfWord(This, DropRestOfWord)

View Source

    -spec autoCompSetDropRestOfWord(This, DropRestOfWord) -> ok
                                       when This :: wxStyledTextCtrl(), DropRestOfWord :: boolean().

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

Link to this function

# autoCompSetFillUps(This, CharacterSet)

View Source

    -spec autoCompSetFillUps(This, CharacterSet) -> ok
                                when This :: wxStyledTextCtrl(), CharacterSet :: unicode:chardata().

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

Link to this function

# autoCompSetIgnoreCase(This, IgnoreCase)

View Source

    -spec autoCompSetIgnoreCase(This, IgnoreCase) -> ok
                                   when This :: wxStyledTextCtrl(), IgnoreCase :: boolean().

Set whether case is significant when performing auto-completion searches.

Link to this function

# autoCompSetMaxHeight(This, RowCount)

View Source

    -spec autoCompSetMaxHeight(This, RowCount) -> ok when This :: wxStyledTextCtrl(), RowCount :: integer().

Set the maximum height, in rows, of auto-completion and user lists.

The default is 5 rows.

Link to this function

# autoCompSetMaxWidth(This, CharacterCount)

View Source

    -spec autoCompSetMaxWidth(This, CharacterCount) -> ok
                                 when This :: wxStyledTextCtrl(), CharacterCount :: integer().

Set the maximum width, in characters, of auto-completion and user lists.

Set to 0 to autosize to fit longest item, which is the default.

Link to this function

# autoCompSetSeparator(This, SeparatorCharacter)

View Source

    -spec autoCompSetSeparator(This, SeparatorCharacter) -> ok
                                  when This :: wxStyledTextCtrl(), SeparatorCharacter :: integer().

Change the separator character in the string setting up an auto-completion list.

Default is space but can be changed if items contain space.

Link to this function

# autoCompSetTypeSeparator(This, SeparatorCharacter)

View Source

    -spec autoCompSetTypeSeparator(This, SeparatorCharacter) -> ok
                                      when This :: wxStyledTextCtrl(), SeparatorCharacter :: integer().

Change the type-separator character in the string setting up an auto-completion list.

Default is '?' but can be changed if items contain '?'.

Link to this function

# autoCompShow(This, LengthEntered, ItemList)

View Source

    -spec autoCompShow(This, LengthEntered, ItemList) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              LengthEntered :: integer(),
                              ItemList :: unicode:chardata().

Display a auto-completion list.

The lengthEntered parameter indicates how many characters before the caret should be used to provide context.

Link to this function

# autoCompStops(This, CharacterSet)

View Source

    -spec autoCompStops(This, CharacterSet) -> ok
                           when This :: wxStyledTextCtrl(), CharacterSet :: unicode:chardata().

Define a set of character that when typed cancel the auto-completion list.

Link to this function

# backTab(This)

View Source

    -spec backTab(This) -> ok when This :: wxStyledTextCtrl().

Dedent the selected lines.

Link to this function

# beginUndoAction(This)

View Source

    -spec beginUndoAction(This) -> ok when This :: wxStyledTextCtrl().

Start a sequence of actions that is undone and redone as a unit.

May be nested.

Link to this function

# braceBadLight(This, Pos)

View Source

    -spec braceBadLight(This, Pos) -> ok when This :: wxStyledTextCtrl(), Pos :: integer().

Highlight the character at a position indicating there is no matching brace.

Link to this function

# braceHighlight(This, PosA, PosB)

View Source

    -spec braceHighlight(This, PosA, PosB) -> ok
                            when This :: wxStyledTextCtrl(), PosA :: integer(), PosB :: integer().

Highlight the characters at two positions.

Link to this function

# braceMatch(This, Pos)

View Source

    -spec braceMatch(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Find the position of a matching brace or wxSTC_INVALID_POSITION if no match.

Link to this function

# callTipActive(This)

View Source

    -spec callTipActive(This) -> boolean() when This :: wxStyledTextCtrl().

Is there an active call tip?

Link to this function

# callTipCancel(This)

View Source

    -spec callTipCancel(This) -> ok when This :: wxStyledTextCtrl().

Remove the call tip from the screen.

Link to this function

# callTipPosAtStart(This)

View Source

    -spec callTipPosAtStart(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the position where the caret was before displaying the call tip.

Since: 3.1.0

Link to this function

# callTipSetBackground(This, Back)

View Source

    -spec callTipSetBackground(This, Back) -> ok when This :: wxStyledTextCtrl(), Back :: wx:wx_colour().

Set the background colour for the call tip.

Link to this function

# callTipSetForeground(This, Fore)

View Source

    -spec callTipSetForeground(This, Fore) -> ok when This :: wxStyledTextCtrl(), Fore :: wx:wx_colour().

Set the foreground colour for the call tip.

Link to this function

# callTipSetForegroundHighlight(This, Fore)

View Source

    -spec callTipSetForegroundHighlight(This, Fore) -> ok
                                           when This :: wxStyledTextCtrl(), Fore :: wx:wx_colour().

Set the foreground colour for the highlighted part of the call tip.

Link to this function

# callTipSetHighlight(This, HighlightStart, HighlightEnd)

View Source

    -spec callTipSetHighlight(This, HighlightStart, HighlightEnd) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     HighlightStart :: integer(),
                                     HighlightEnd :: integer().

Highlight a segment of the definition.

Link to this function

# callTipShow(This, Pos, Definition)

View Source

    -spec callTipShow(This, Pos, Definition) -> ok
                         when This :: wxStyledTextCtrl(), Pos :: integer(), Definition :: unicode:chardata().

Show a call tip containing a definition near position pos.

Link to this function

# callTipUseStyle(This, TabSize)

View Source

    -spec callTipUseStyle(This, TabSize) -> ok when This :: wxStyledTextCtrl(), TabSize :: integer().

Enable use of wxSTC_STYLE_CALLTIP and set call tip tab size in pixels.

Link to this function

# cancel(This)

View Source

    -spec cancel(This) -> ok when This :: wxStyledTextCtrl().

Cancel any modes such as call tip or auto-completion list display.

Link to this function

# canPaste(This)

View Source

    -spec canPaste(This) -> boolean() when This :: wxStyledTextCtrl().

Will a paste succeed?

Link to this function

# canRedo(This)

View Source

    -spec canRedo(This) -> boolean() when This :: wxStyledTextCtrl().

Are there any redoable actions in the undo history?

Link to this function

# canUndo(This)

View Source

    -spec canUndo(This) -> boolean() when This :: wxStyledTextCtrl().

Are there any undoable actions in the undo history?

Link to this function

# charLeft(This)

View Source

    -spec charLeft(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one character.

Link to this function

# charLeftExtend(This)

View Source

    -spec charLeftExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one character extending selection to new caret position.

Link to this function

# charLeftRectExtend(This)

View Source

    -spec charLeftRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one character, extending rectangular selection to new caret position.

Link to this function

# charRight(This)

View Source

    -spec charRight(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one character.

Link to this function

# charRightExtend(This)

View Source

    -spec charRightExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one character extending selection to new caret position.

Link to this function

# charRightRectExtend(This)

View Source

    -spec charRightRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one character, extending rectangular selection to new caret position.

Link to this function

# chooseCaretX(This)

View Source

    -spec chooseCaretX(This) -> ok when This :: wxStyledTextCtrl().

Set the last x chosen value to be the caret x position.

Link to this function

# clear(This)

View Source

    -spec clear(This) -> ok when This :: wxStyledTextCtrl().

Clear the selection.

Link to this function

# clearAll(This)

View Source

    -spec clearAll(This) -> ok when This :: wxStyledTextCtrl().

Delete all text in the document.

Link to this function

# clearDocumentStyle(This)

View Source

    -spec clearDocumentStyle(This) -> ok when This :: wxStyledTextCtrl().

Set all style bytes to 0, remove all folding information.

Link to this function

# clearRegisteredImages(This)

View Source

    -spec clearRegisteredImages(This) -> ok when This :: wxStyledTextCtrl().

Clear all the registered images.

Link to this function

# cmdKeyAssign(This, Key, Modifiers, Cmd)

View Source

    -spec cmdKeyAssign(This, Key, Modifiers, Cmd) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              Key :: integer(),
                              Modifiers :: integer(),
                              Cmd :: integer().

When key+modifier combination keyDefinition is pressed perform sciCommand.

The second argument should be a bit list containing one or more of the ?wxSTCKEYMOD constants and the third argument should be one of the ?wxSTCCMD constants.

Link to this function

# cmdKeyClear(This, Key, Modifiers)

View Source

    -spec cmdKeyClear(This, Key, Modifiers) -> ok
                         when This :: wxStyledTextCtrl(), Key :: integer(), Modifiers :: integer().

When key+modifier combination keyDefinition is pressed do nothing.

The second argument should be a bit list containing one or more of the ?wxSTCKEYMOD* constants.

Link to this function

# cmdKeyClearAll(This)

View Source

    -spec cmdKeyClearAll(This) -> ok when This :: wxStyledTextCtrl().

Drop all key mappings.

Link to this function

# cmdKeyExecute(This, Cmd)

View Source

    -spec cmdKeyExecute(This, Cmd) -> ok when This :: wxStyledTextCtrl(), Cmd :: integer().

Perform one of the operations defined by the wxSTCCMD* constants.

Link to this function

# colourise(This, Start, End)

View Source

    -spec colourise(This, Start, End) -> ok
                       when This :: wxStyledTextCtrl(), Start :: integer(), End :: integer().

Colourise a segment of the document using the current lexing language.

Link to this function

# convertEOLs(This, EolMode)

View Source

    -spec convertEOLs(This, EolMode) -> ok when This :: wxStyledTextCtrl(), EolMode :: integer().

Convert all line endings in the document to one mode.

Link to this function

# copy(This)

View Source

    -spec copy(This) -> ok when This :: wxStyledTextCtrl().

Copy the selection to the clipboard.

Link to this function

# copyRange(This, Start, End)

View Source

    -spec copyRange(This, Start, End) -> ok
                       when This :: wxStyledTextCtrl(), Start :: integer(), End :: integer().

Copy a range of text to the clipboard.

Positions are clipped into the document.

Link to this function

# copyText(This, Length, Text)

View Source

    -spec copyText(This, Length, Text) -> ok
                      when This :: wxStyledTextCtrl(), Length :: integer(), Text :: unicode:chardata().

Copy argument text to the clipboard.

Link to this function

# create(This, Parent)

View Source

    -spec create(This, Parent) -> boolean() when This :: wxStyledTextCtrl(), Parent :: wxWindow:wxWindow().

Link to this function

# create/3

View Source

    -spec create(This, Parent, [Option]) -> boolean()
                    when
                        This :: wxStyledTextCtrl(),
                        Parent :: wxWindow:wxWindow(),
                        Option ::
                            {id, integer()} |
                            {pos, {X :: integer(), Y :: integer()}} |
                            {size, {W :: integer(), H :: integer()}} |
                            {style, integer()}.

Create the UI elements for a STC that was created with the default ctor.

(For 2-phase create.)

Link to this function

# cut(This)

View Source

    -spec cut(This) -> ok when This :: wxStyledTextCtrl().

Cut the selection to the clipboard.

Link to this function

# deleteBack(This)

View Source

    -spec deleteBack(This) -> ok when This :: wxStyledTextCtrl().

Delete the selection or if no selection, the character before the caret.

Link to this function

# deleteBackNotLine(This)

View Source

    -spec deleteBackNotLine(This) -> ok when This :: wxStyledTextCtrl().

Delete the selection or if no selection, the character before the caret.

Will not delete the character before at the start of a line.

Link to this function

# delLineLeft(This)

View Source

    -spec delLineLeft(This) -> ok when This :: wxStyledTextCtrl().

Delete back from the current position to the start of the line.

Link to this function

# delLineRight(This)

View Source

    -spec delLineRight(This) -> ok when This :: wxStyledTextCtrl().

Delete forwards from the current position to the end of the line.

Link to this function

# delWordLeft(This)

View Source

    -spec delWordLeft(This) -> ok when This :: wxStyledTextCtrl().

Delete the word to the left of the caret.

Link to this function

# delWordRight(This)

View Source

    -spec delWordRight(This) -> ok when This :: wxStyledTextCtrl().

Delete the word to the right of the caret.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxStyledTextCtrl()) -> ok.

Destructor.

Link to this function

# docLineFromVisible(This, DisplayLine)

View Source

    -spec docLineFromVisible(This, DisplayLine) -> integer()
                                when This :: wxStyledTextCtrl(), DisplayLine :: integer().

Find the document line of a display line taking hidden lines into account.

Link to this function

# documentEnd(This)

View Source

    -spec documentEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position in document.

Link to this function

# documentEndExtend(This)

View Source

    -spec documentEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position in document extending selection to new caret position.

Link to this function

# documentStart(This)

View Source

    -spec documentStart(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position in document.

Link to this function

# documentStartExtend(This)

View Source

    -spec documentStartExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position in document extending selection to new caret position.

Link to this function

# doDragOver(This, X, Y, DefaultRes)

View Source

    -spec doDragOver(This, X, Y, DefaultRes) -> wx:wx_enum()
                        when
                            This :: wxStyledTextCtrl(),
                            X :: integer(),
                            Y :: integer(),
                            DefaultRes :: wx:wx_enum().

Allow for simulating a DnD DragOver.

Link to this function

# doDropText(This, X, Y, Data)

View Source

    -spec doDropText(This, X, Y, Data) -> boolean()
                        when
                            This :: wxStyledTextCtrl(),
                            X :: integer(),
                            Y :: integer(),
                            Data :: unicode:chardata().

Allow for simulating a DnD DropText.

Link to this function

# editToggleOvertype(This)

View Source

    -spec editToggleOvertype(This) -> ok when This :: wxStyledTextCtrl().

Switch from insert to overtype mode or the reverse.

Link to this function

# emptyUndoBuffer(This)

View Source

    -spec emptyUndoBuffer(This) -> ok when This :: wxStyledTextCtrl().

Delete the undo history.

Link to this function

# endUndoAction(This)

View Source

    -spec endUndoAction(This) -> ok when This :: wxStyledTextCtrl().

End a sequence of actions that is undone and redone as a unit.

Link to this function

# ensureCaretVisible(This)

View Source

    -spec ensureCaretVisible(This) -> ok when This :: wxStyledTextCtrl().

Ensure the caret is visible.

Link to this function

# ensureVisible(This, Line)

View Source

    -spec ensureVisible(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Ensure a particular line is visible by expanding any header line hiding it.

Link to this function

# ensureVisibleEnforcePolicy(This, Line)

View Source

    -spec ensureVisibleEnforcePolicy(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Ensure a particular line is visible by expanding any header line hiding it.

Use the currently set visibility policy to determine which range to display.

Link to this function

# findColumn(This, Line, Column)

View Source

    -spec findColumn(This, Line, Column) -> integer()
                        when This :: wxStyledTextCtrl(), Line :: integer(), Column :: integer().

Find the position of a column on a line taking into account tabs and multi-byte characters.

If beyond end of line, return line end position.

Link to this function

# findText(This, MinPos, MaxPos, Text)

View Source

    -spec findText(This, MinPos, MaxPos, Text) -> integer()
                      when
                          This :: wxStyledTextCtrl(),
                          MinPos :: integer(),
                          MaxPos :: integer(),
                          Text :: unicode:chardata().

Link to this function

# findText/5

View Source

    -spec findText(This, MinPos, MaxPos, Text, [Option]) -> integer()
                      when
                          This :: wxStyledTextCtrl(),
                          MinPos :: integer(),
                          MaxPos :: integer(),
                          Text :: unicode:chardata(),
                          Option :: {flags, integer()}.

`Find some text in the document. @param minPos The position (starting from zero) in the document at which to begin the search @param maxPos The last position (starting from zero) in the document to which the search will be restricted. @param text The text to search for. @param flags (Optional) The search flags. This should be a bit list containing one or more of the @link wxStyledTextCtrl::wxSTC_FIND_WHOLEWORD wxSTC_FIND_* @endlink constants.`

Return: The position (starting from zero) in the document at which the text was found or wxSTC_INVALID_POSITION if the search fails.

Remark: A backwards search can be performed by setting minPos to be greater than maxPos.

Link to this function

# formatRange(This, DoDraw, StartPos, EndPos, Draw, Target, RenderRect, PageRect)

View Source

    -spec formatRange(This, DoDraw, StartPos, EndPos, Draw, Target, RenderRect, PageRect) -> integer()
                         when
                             This :: wxStyledTextCtrl(),
                             DoDraw :: boolean(),
                             StartPos :: integer(),
                             EndPos :: integer(),
                             Draw :: wxDC:wxDC(),
                             Target :: wxDC:wxDC(),
                             RenderRect :: {X :: integer(), Y :: integer(), W :: integer(), H :: integer()},
                             PageRect :: {X :: integer(), Y :: integer(), W :: integer(), H :: integer()}.

On Windows, will draw the document into a display context such as a printer.

Link to this function

# formFeed(This)

View Source

    -spec formFeed(This) -> ok when This :: wxStyledTextCtrl().

Insert a Form Feed character.

Link to this function

# getAnchor(This)

View Source

    -spec getAnchor(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position of the opposite end of the selection to the caret.

Link to this function

# getBackSpaceUnIndents(This)

View Source

    -spec getBackSpaceUnIndents(This) -> boolean() when This :: wxStyledTextCtrl().

Does a backspace pressed when caret is within indentation unindent?

Link to this function

# getBufferedDraw(This)

View Source

    -spec getBufferedDraw(This) -> boolean() when This :: wxStyledTextCtrl().

Is drawing done first into a buffer or direct to the screen?

Link to this function

# getCaretForeground(This)

View Source

    -spec getCaretForeground(This) -> wx:wx_colour4() when This :: wxStyledTextCtrl().

Get the foreground colour of the caret.

Link to this function

# getCaretLineBackAlpha(This)

View Source

    -spec getCaretLineBackAlpha(This) -> integer() when This :: wxStyledTextCtrl().

Get the background alpha of the caret line.

Link to this function

# getCaretLineBackground(This)

View Source

    -spec getCaretLineBackground(This) -> wx:wx_colour4() when This :: wxStyledTextCtrl().

Get the colour of the background of the line containing the caret.

Link to this function

# getCaretLineVisible(This)

View Source

    -spec getCaretLineVisible(This) -> boolean() when This :: wxStyledTextCtrl().

Is the background of the line containing the caret in a different colour?

Link to this function

# getCaretPeriod(This)

View Source

    -spec getCaretPeriod(This) -> integer() when This :: wxStyledTextCtrl().

Get the time in milliseconds that the caret is on and off.

Link to this function

# getCaretSticky(This)

View Source

    -spec getCaretSticky(This) -> integer() when This :: wxStyledTextCtrl().

Can the caret preferred x position only be changed by explicit movement commands?

The return value will be one of the ?wxSTCCARETSTICKY* constants.

Link to this function

# getCaretWidth(This)

View Source

    -spec getCaretWidth(This) -> integer() when This :: wxStyledTextCtrl().

Returns the width of the insert mode caret.

Link to this function

# getCharAt(This, Pos)

View Source

    -spec getCharAt(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Returns the character byte at the position.

Link to this function

# getCodePage(This)

View Source

    -spec getCodePage(This) -> integer() when This :: wxStyledTextCtrl().

Get the code page used to interpret the bytes of the document as characters.

Link to this function

# getColumn(This, Pos)

View Source

    -spec getColumn(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Retrieve the column number of a position, taking tab width into account.

Link to this function

# getControlCharSymbol(This)

View Source

    -spec getControlCharSymbol(This) -> integer() when This :: wxStyledTextCtrl().

Get the way control characters are displayed.

Link to this function

# getCurLine(This)

View Source

    -spec getCurLine(This) -> Result
                        when
                            Result :: {Res :: unicode:charlist(), LinePos :: integer()},
                            This :: wxStyledTextCtrl().

Retrieve the text of the line containing the caret.

linePos can optionally be passed in to receive the index of the caret on the line.

Link to this function

# getCurLineRaw(This)

View Source

    -spec getCurLineRaw(This) -> Result
                           when
                               Result :: {Res :: binary(), LinePos :: integer()}, This :: wxStyledTextCtrl().

Retrieve the text of the line containing the caret.

Returns the index of the caret on the line.

Link to this function

# getCurrentLine(This)

View Source

    -spec getCurrentLine(This) -> integer() when This :: wxStyledTextCtrl().

Returns the line number of the line with the caret.

Link to this function

# getCurrentPos(This)

View Source

    -spec getCurrentPos(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position of the caret.

Link to this function

# getEdgeColour(This)

View Source

    -spec getEdgeColour(This) -> wx:wx_colour4() when This :: wxStyledTextCtrl().

Retrieve the colour used in edge indication.

Link to this function

# getEdgeColumn(This)

View Source

    -spec getEdgeColumn(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the column number which text should be kept within.

Link to this function

# getEdgeMode(This)

View Source

    -spec getEdgeMode(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the edge highlight mode.

The return value will be one of the ?wxSTCEDGE* constants.

Link to this function

# getEndAtLastLine(This)

View Source

    -spec getEndAtLastLine(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

Link to this function

# getEndStyled(This)

View Source

    -spec getEndStyled(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the position of the last correctly styled character.

Link to this function

# getEOLMode(This)

View Source

    -spec getEOLMode(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the current end of line mode - one of wxSTC_EOL_CRLF, wxSTC_EOL_CR, or wxSTC_EOL_LF.

Link to this function

# getFirstVisibleLine(This)

View Source

    -spec getFirstVisibleLine(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the display line at the top of the display.

Link to this function

# getFoldExpanded(This, Line)

View Source

    -spec getFoldExpanded(This, Line) -> boolean() when This :: wxStyledTextCtrl(), Line :: integer().

Is a header line expanded?

Link to this function

# getFoldLevel(This, Line)

View Source

    -spec getFoldLevel(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the fold level of a line.

Link to this function

# getFoldParent(This, Line)

View Source

    -spec getFoldParent(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Find the parent line of a child line.

Link to this function

# getHighlightGuide(This)

View Source

    -spec getHighlightGuide(This) -> integer() when This :: wxStyledTextCtrl().

Get the highlighted indentation guide column.

Link to this function

# getIndent(This)

View Source

    -spec getIndent(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve indentation size.

Link to this function

# getIndentationGuides(This)

View Source

    -spec getIndentationGuides(This) -> integer() when This :: wxStyledTextCtrl().

Are the indentation guides visible?

The return value will be one of the ?wxSTCIV* constants.

Link to this function

# getLastChild(This, Line, Level)

View Source

    -spec getLastChild(This, Line, Level) -> integer()
                          when This :: wxStyledTextCtrl(), Line :: integer(), Level :: integer().

Find the last child line of a header line.

Link to this function

# getLastKeydownProcessed(This)

View Source

    -spec getLastKeydownProcessed(This) -> boolean() when This :: wxStyledTextCtrl().

Can be used to prevent the EVT_CHAR handler from adding the char.

Link to this function

# getLayoutCache(This)

View Source

    -spec getLayoutCache(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the degree of caching of layout information.

The return value will be one of the ?wxSTCCACHE* constants.

Link to this function

# getLength(This)

View Source

    -spec getLength(This) -> integer() when This :: wxStyledTextCtrl().

Returns the number of bytes in the document.

Link to this function

# getLexer(This)

View Source

    -spec getLexer(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the lexing language of the document.

The return value will be one of the ?wxSTCLEX* constants.

Link to this function

# getLine(This, Line)

View Source

    -spec getLine(This, Line) -> unicode:charlist() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the contents of a line.

Link to this function

# getLineCount(This)

View Source

    -spec getLineCount(This) -> integer() when This :: wxStyledTextCtrl().

Returns the number of lines in the document.

There is always at least one.

Link to this function

# getLineEndPosition(This, Line)

View Source

    -spec getLineEndPosition(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Get the position after the last visible characters on a line.

Link to this function

# getLineIndentation(This, Line)

View Source

    -spec getLineIndentation(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the number of columns that a line is indented.

Link to this function

# getLineIndentPosition(This, Line)

View Source

    -spec getLineIndentPosition(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the position before the first non indentation character on a line.

Link to this function

# getLineRaw(This, Line)

View Source

    -spec getLineRaw(This, Line) -> binary() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the contents of a line.

Link to this function

# getLineState(This, Line)

View Source

    -spec getLineState(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the extra styling information for a line.

Link to this function

# getLineVisible(This, Line)

View Source

    -spec getLineVisible(This, Line) -> boolean() when This :: wxStyledTextCtrl(), Line :: integer().

Is a line visible?

Link to this function

# getMarginLeft(This)

View Source

    -spec getMarginLeft(This) -> integer() when This :: wxStyledTextCtrl().

Returns the size in pixels of the left margin.

Link to this function

# getMarginMask(This, Margin)

View Source

    -spec getMarginMask(This, Margin) -> integer() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the marker mask of a margin.

Link to this function

# getMarginRight(This)

View Source

    -spec getMarginRight(This) -> integer() when This :: wxStyledTextCtrl().

Returns the size in pixels of the right margin.

Link to this function

# getMarginSensitive(This, Margin)

View Source

    -spec getMarginSensitive(This, Margin) -> boolean() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the mouse click sensitivity of a margin.

Link to this function

# getMarginType(This, Margin)

View Source

    -spec getMarginType(This, Margin) -> integer() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the type of a margin.

The return value will be one of the ?wxSTCMARGIN* constants.

Link to this function

# getMarginWidth(This, Margin)

View Source

    -spec getMarginWidth(This, Margin) -> integer() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the width of a margin in pixels.

Link to this function

# getMaxLineState(This)

View Source

    -spec getMaxLineState(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the last line number that has line state.

Link to this function

# getModEventMask(This)

View Source

    -spec getModEventMask(This) -> integer() when This :: wxStyledTextCtrl().

Get which document modification events are sent to the container.

The return value will wxSTCMODEVENTMASKALL if all changes generate events. Otherwise it will be a bit list containing one or more of the ?wxSTC_MOD constants, the ?wxSTCPERFORMED constants, wxSTC_STARTACTION, wxSTC_MULTILINEUNDOREDO, wxSTC_MULTISTEPUNDOREDO, and wxSTC_LASTSTEPINUNDOREDO.

Link to this function

# getModify(This)

View Source

    -spec getModify(This) -> boolean() when This :: wxStyledTextCtrl().

Is the document different from when it was last saved?

Link to this function

# getMouseDownCaptures(This)

View Source

    -spec getMouseDownCaptures(This) -> boolean() when This :: wxStyledTextCtrl().

Get whether mouse gets captured.

Link to this function

# getMouseDwellTime(This)

View Source

    -spec getMouseDwellTime(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the time the mouse must sit still to generate a mouse dwell event.

The return value will be a time in milliseconds or wxSTC_TIME_FOREVER.

Link to this function

# getOvertype(This)

View Source

    -spec getOvertype(This) -> boolean() when This :: wxStyledTextCtrl().

Returns true if overtype mode is active otherwise false is returned.

Link to this function

# getPasteConvertEndings(This)

View Source

    -spec getPasteConvertEndings(This) -> boolean() when This :: wxStyledTextCtrl().

Get convert-on-paste setting.

Link to this function

# getPrintColourMode(This)

View Source

    -spec getPrintColourMode(This) -> integer() when This :: wxStyledTextCtrl().

Returns the print colour mode.

The return value will be one of the ?wxSTCPRINT* constants.

Link to this function

# getPrintMagnification(This)

View Source

    -spec getPrintMagnification(This) -> integer() when This :: wxStyledTextCtrl().

Returns the print magnification.

Link to this function

# getPrintWrapMode(This)

View Source

    -spec getPrintWrapMode(This) -> integer() when This :: wxStyledTextCtrl().

Is printing line wrapped?

The return value will be one of the ?wxSTCWRAP* constants.

Link to this function

# getProperty(This, Key)

View Source

    -spec getProperty(This, Key) -> unicode:charlist()
                         when This :: wxStyledTextCtrl(), Key :: unicode:chardata().

Retrieve a "property" value previously set with SetProperty.

Link to this function

# getReadOnly(This)

View Source

    -spec getReadOnly(This) -> boolean() when This :: wxStyledTextCtrl().

In read-only mode?

Link to this function

# getScrollWidth(This)

View Source

    -spec getScrollWidth(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the document width assumed for scrolling.

Link to this function

# getSearchFlags(This)

View Source

    -spec getSearchFlags(This) -> integer() when This :: wxStyledTextCtrl().

Get the search flags used by SearchInTarget.

The return value will be a bit list containing one or more of the ?wxSTCFIND* constants.

Link to this function

# getSelAlpha(This)

View Source

    -spec getSelAlpha(This) -> integer() when This :: wxStyledTextCtrl().

Get the alpha of the selection.

Link to this function

# getSelectedText(This)

View Source

    -spec getSelectedText(This) -> unicode:charlist() when This :: wxStyledTextCtrl().

Retrieve the selected text.

Link to this function

# getSelectedTextRaw(This)

View Source

    -spec getSelectedTextRaw(This) -> binary() when This :: wxStyledTextCtrl().

Retrieve the selected text.

Link to this function

# getSelection(This)

View Source

    -spec getSelection(This) -> {From :: integer(), To :: integer()} when This :: wxStyledTextCtrl().

Gets the current selection span.

If the returned values are equal, there was no selection. Please note that the indices returned may be used with the other `wxTextCtrl` methods but don't necessarily represent the correct indices into the string returned by `wxComboBox:getValue/1` for multiline controls under Windows (at least,) you should use `wxTextCtrl:getStringSelection/1` to get the selected text.

Link to this function

# getSelectionEnd(This)

View Source

    -spec getSelectionEnd(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position at the end of the selection.

Link to this function

# getSelectionMode(This)

View Source

    -spec getSelectionMode(This) -> integer() when This :: wxStyledTextCtrl().

Get the mode of the current selection.

The return value will be one of the ?wxSTCSEL* constants.

Link to this function

# getSelectionStart(This)

View Source

    -spec getSelectionStart(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position at the start of the selection.

Link to this function

# getSTCCursor(This)

View Source

    -spec getSTCCursor(This) -> integer() when This :: wxStyledTextCtrl().

Get cursor type.

The return value will be one of the ?wxSTC_CURSOR* constants.

Link to this function

# getSTCFocus(This)

View Source

    -spec getSTCFocus(This) -> boolean() when This :: wxStyledTextCtrl().

Get internal focus flag.

Link to this function

# getStatus(This)

View Source

    -spec getStatus(This) -> integer() when This :: wxStyledTextCtrl().

Get error status.

The return value will be one of the ?wxSTCSTATUS* constants.

Link to this function

# getStyleAt(This, Pos)

View Source

    -spec getStyleAt(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Returns the style byte at the position.

Link to this function

# getStyleBits(This)

View Source

    -spec getStyleBits(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve number of bits in style bytes used to hold the lexical state.

Deprecated:

Link to this function

# getStyleBitsNeeded(This)

View Source

    -spec getStyleBitsNeeded(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the number of bits the current lexer needs for styling.

Deprecated:

Link to this function

# getTabIndents(This)

View Source

    -spec getTabIndents(This) -> boolean() when This :: wxStyledTextCtrl().

Does a tab pressed when caret is within indentation indent?

Link to this function

# getTabWidth(This)

View Source

    -spec getTabWidth(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the visible size of a tab.

Link to this function

# getTargetEnd(This)

View Source

    -spec getTargetEnd(This) -> integer() when This :: wxStyledTextCtrl().

Get the position that ends the target.

Link to this function

# getTargetStart(This)

View Source

    -spec getTargetStart(This) -> integer() when This :: wxStyledTextCtrl().

Get the position that starts the target.

Link to this function

# getText(This)

View Source

    -spec getText(This) -> unicode:charlist() when This :: wxStyledTextCtrl().

Retrieve all the text in the document.

Link to this function

# getTextLength(This)

View Source

    -spec getTextLength(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the number of characters in the document.

Link to this function

# getTextRange(This, StartPos, EndPos)

View Source

    -spec getTextRange(This, StartPos, EndPos) -> unicode:charlist()
                          when This :: wxStyledTextCtrl(), StartPos :: integer(), EndPos :: integer().

Retrieve a range of text.

Link to this function

# getTextRangeRaw(This, StartPos, EndPos)

View Source

    -spec getTextRangeRaw(This, StartPos, EndPos) -> binary()
                             when This :: wxStyledTextCtrl(), StartPos :: integer(), EndPos :: integer().

Retrieve a range of text.

Link to this function

# getTextRaw(This)

View Source

    -spec getTextRaw(This) -> binary() when This :: wxStyledTextCtrl().

Retrieve all the text in the document.

Link to this function

# getTwoPhaseDraw(This)

View Source

    -spec getTwoPhaseDraw(This) -> boolean() when This :: wxStyledTextCtrl().

Is drawing done in two phases with backgrounds drawn before foregrounds?

Link to this function

# getUndoCollection(This)

View Source

    -spec getUndoCollection(This) -> boolean() when This :: wxStyledTextCtrl().

Is undo history being collected?

Link to this function

# getUseAntiAliasing(This)

View Source

    -spec getUseAntiAliasing(This) -> boolean() when This :: wxStyledTextCtrl().

Returns the current UseAntiAliasing setting.

Link to this function

# getUseHorizontalScrollBar(This)

View Source

    -spec getUseHorizontalScrollBar(This) -> boolean() when This :: wxStyledTextCtrl().

Is the horizontal scroll bar visible?

Link to this function

# getUseTabs(This)

View Source

    -spec getUseTabs(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether tabs will be used in indentation.

Link to this function

# getUseVerticalScrollBar(This)

View Source

    -spec getUseVerticalScrollBar(This) -> boolean() when This :: wxStyledTextCtrl().

Is the vertical scroll bar visible?

Link to this function

# getViewEOL(This)

View Source

    -spec getViewEOL(This) -> boolean() when This :: wxStyledTextCtrl().

Are the end of line characters visible?

Link to this function

# getViewWhiteSpace(This)

View Source

    -spec getViewWhiteSpace(This) -> integer() when This :: wxStyledTextCtrl().

Are white space characters currently visible? Returns one of wxSTCWS* constants.

Link to this function

# getWrapMode(This)

View Source

    -spec getWrapMode(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve whether text is word wrapped.

The return value will be one of the ?wxSTCWRAP* constants.

Link to this function

# getWrapStartIndent(This)

View Source

    -spec getWrapStartIndent(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the start indent for wrapped lines.

Link to this function

# getWrapVisualFlags(This)

View Source

    -spec getWrapVisualFlags(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the display mode of visual flags for wrapped lines.

The return value will be a bit list containing one or more of the ?wxSTCWRAPVISUALFLAG* constants.

Link to this function

# getWrapVisualFlagsLocation(This)

View Source

    -spec getWrapVisualFlagsLocation(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the location of visual flags for wrapped lines.

The return value will be a bit list containing one or more of the ?wxSTCWRAPVISUALFLAGLOC* constants.

Link to this function

# getXOffset(This)

View Source

    -spec getXOffset(This) -> integer() when This :: wxStyledTextCtrl().

Get the xOffset (ie, horizontal scroll position).

Link to this function

# getZoom(This)

View Source

    -spec getZoom(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the zoom level.

Link to this function

# gotoLine(This, Line)

View Source

    -spec gotoLine(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Set caret to start of a line and ensure it is visible.

Link to this function

# gotoPos(This, Caret)

View Source

    -spec gotoPos(This, Caret) -> ok when This :: wxStyledTextCtrl(), Caret :: integer().

Set caret to a position and ensure it is visible.

Link to this function

# hideLines(This, LineStart, LineEnd)

View Source

    -spec hideLines(This, LineStart, LineEnd) -> ok
                       when This :: wxStyledTextCtrl(), LineStart :: integer(), LineEnd :: integer().

Make a range of lines invisible.

Link to this function

# hideSelection(This, Hide)

View Source

    -spec hideSelection(This, Hide) -> ok when This :: wxStyledTextCtrl(), Hide :: boolean().

Draw the selection in normal style or with selection highlighted.

Link to this function

# home(This)

View Source

    -spec home(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on line.

Link to this function

# homeDisplay(This)

View Source

    -spec homeDisplay(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on display line.

Link to this function

# homeDisplayExtend(This)

View Source

    -spec homeDisplayExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on display line extending selection to new caret position.

Link to this function

# homeExtend(This)

View Source

    -spec homeExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on line extending selection to new caret position.

Link to this function

# homeRectExtend(This)

View Source

    -spec homeRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on line, extending rectangular selection to new caret position.

Link to this function

# homeWrapExtend(This)

View Source

    -spec homeWrapExtend(This) -> ok when This :: wxStyledTextCtrl().

Like HomeExtend but when word-wrap is enabled extends first to start of display line HomeDisplayExtend, then to start of document line HomeExtend.

Link to this function

# indicatorGetForeground(This, Indicator)

View Source

    -spec indicatorGetForeground(This, Indicator) -> wx:wx_colour4()
                                    when This :: wxStyledTextCtrl(), Indicator :: integer().

Retrieve the foreground colour of an indicator.

Link to this function

# indicatorGetStyle(This, Indicator)

View Source

    -spec indicatorGetStyle(This, Indicator) -> integer()
                               when This :: wxStyledTextCtrl(), Indicator :: integer().

Retrieve the style of an indicator.

The return value will be one of the ?wxSTCINDIC* constants.

Link to this function

# indicatorSetForeground(This, Indicator, Fore)

View Source

    -spec indicatorSetForeground(This, Indicator, Fore) -> ok
                                    when
                                        This :: wxStyledTextCtrl(),
                                        Indicator :: integer(),
                                        Fore :: wx:wx_colour().

Set the foreground colour of an indicator.

Link to this function

# indicatorSetStyle(This, Indicator, IndicatorStyle)

View Source

    -spec indicatorSetStyle(This, Indicator, IndicatorStyle) -> ok
                               when
                                   This :: wxStyledTextCtrl(),
                                   Indicator :: integer(),
                                   IndicatorStyle :: integer().

Set an indicator to plain, squiggle or TT.

The second argument should be one of the ?wxSTCINDIC* constants.

Link to this function

# insertText(This, Pos, Text)

View Source

    -spec insertText(This, Pos, Text) -> ok
                        when This :: wxStyledTextCtrl(), Pos :: integer(), Text :: unicode:chardata().

Insert string at a position.

Link to this function

# insertTextRaw(This, Pos, Text)

View Source

    -spec insertTextRaw(This, Pos, Text) -> ok
                           when This :: wxStyledTextCtrl(), Pos :: integer(), Text :: binary().

Insert string at a position.

Link to this function

# lineCopy(This)

View Source

    -spec lineCopy(This) -> ok when This :: wxStyledTextCtrl().

Copy the line containing the caret.

Link to this function

# lineCut(This)

View Source

    -spec lineCut(This) -> ok when This :: wxStyledTextCtrl().

Cut the line containing the caret.

Link to this function

# lineDelete(This)

View Source

    -spec lineDelete(This) -> ok when This :: wxStyledTextCtrl().

Delete the line containing the caret.

Link to this function

# lineDown(This)

View Source

    -spec lineDown(This) -> ok when This :: wxStyledTextCtrl().

Move caret down one line.

Link to this function

# lineDownExtend(This)

View Source

    -spec lineDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret down one line extending selection to new caret position.

Link to this function

# lineDownRectExtend(This)

View Source

    -spec lineDownRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret down one line, extending rectangular selection to new caret position.

Link to this function

# lineDuplicate(This)

View Source

    -spec lineDuplicate(This) -> ok when This :: wxStyledTextCtrl().

Duplicate the current line.

Link to this function

# lineEnd(This)

View Source

    -spec lineEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on line.

Link to this function

# lineEndDisplay(This)

View Source

    -spec lineEndDisplay(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on display line.

Link to this function

# lineEndDisplayExtend(This)

View Source

    -spec lineEndDisplayExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on display line extending selection to new caret position.

Link to this function

# lineEndExtend(This)

View Source

    -spec lineEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on line extending selection to new caret position.

Link to this function

# lineEndRectExtend(This)

View Source

    -spec lineEndRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on line, extending rectangular selection to new caret position.

Link to this function

# lineEndWrap(This)

View Source

    -spec lineEndWrap(This) -> ok when This :: wxStyledTextCtrl().

Like LineEnd but when word-wrap is enabled goes first to end of display line LineEndDisplay, then to start of document line LineEnd.

Link to this function

# lineEndWrapExtend(This)

View Source

    -spec lineEndWrapExtend(This) -> ok when This :: wxStyledTextCtrl().

Like LineEndExtend but when word-wrap is enabled extends first to end of display line LineEndDisplayExtend, then to start of document line LineEndExtend.

Link to this function

# lineFromPosition(This, Pos)

View Source

    -spec lineFromPosition(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Retrieve the line containing a position.

Link to this function

# lineLength(This, Line)

View Source

    -spec lineLength(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

How many characters are on a line, including end of line characters?

Link to this function

# lineScroll(This, Columns, Lines)

View Source

    -spec lineScroll(This, Columns, Lines) -> ok
                        when This :: wxStyledTextCtrl(), Columns :: integer(), Lines :: integer().

Scroll horizontally and vertically.

Link to this function

# lineScrollDown(This)

View Source

    -spec lineScrollDown(This) -> ok when This :: wxStyledTextCtrl().

Scroll the document down, keeping the caret visible.

Link to this function

# lineScrollUp(This)

View Source

    -spec lineScrollUp(This) -> ok when This :: wxStyledTextCtrl().

Scroll the document up, keeping the caret visible.

Link to this function

# linesJoin(This)

View Source

    -spec linesJoin(This) -> ok when This :: wxStyledTextCtrl().

Join the lines in the target.

Link to this function

# linesOnScreen(This)

View Source

    -spec linesOnScreen(This) -> integer() when This :: wxStyledTextCtrl().

Retrieves the number of lines completely visible.

Link to this function

# linesSplit(This, PixelWidth)

View Source

    -spec linesSplit(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Split the lines in the target into lines that are less wide than pixelWidth where possible.

Link to this function

# lineTranspose(This)

View Source

    -spec lineTranspose(This) -> ok when This :: wxStyledTextCtrl().

Switch the current line with the previous.

Link to this function

# lineUp(This)

View Source

    -spec lineUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one line.

Link to this function

# lineUpExtend(This)

View Source

    -spec lineUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one line extending selection to new caret position.

Link to this function

# lineUpRectExtend(This)

View Source

    -spec lineUpRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one line, extending rectangular selection to new caret position.

Link to this function

# loadFile(This, Filename)

View Source

    -spec loadFile(This, Filename) -> boolean()
                      when This :: wxStyledTextCtrl(), Filename :: unicode:chardata().

Load the contents of filename into the editor.

Link to this function

# lowerCase(This)

View Source

    -spec lowerCase(This) -> ok when This :: wxStyledTextCtrl().

Transform the selection to lower case.

Link to this function

# markerAdd(This, Line, MarkerNumber)

View Source

    -spec markerAdd(This, Line, MarkerNumber) -> integer()
                       when This :: wxStyledTextCtrl(), Line :: integer(), MarkerNumber :: integer().

Add a marker to a line, returning an ID which can be used to find or delete the marker.

Link to this function

# markerAddSet(This, Line, MarkerSet)

View Source

    -spec markerAddSet(This, Line, MarkerSet) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), MarkerSet :: integer().

Add a set of markers to a line.

Link to this function

# markerDefine(This, MarkerNumber, MarkerSymbol)

View Source

    -spec markerDefine(This, MarkerNumber, MarkerSymbol) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              MarkerNumber :: integer(),
                              MarkerSymbol :: integer().

Link to this function

# markerDefine/4

View Source

    -spec markerDefine(This, MarkerNumber, MarkerSymbol, [Option]) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              MarkerNumber :: integer(),
                              MarkerSymbol :: integer(),
                              Option :: {foreground, wx:wx_colour()} | {background, wx:wx_colour()}.

Set the symbol used for a particular marker number, and optionally the fore and background colours.

The second argument should be one of the ?wxSTCMARK* constants.

Link to this function

# markerDefineBitmap(This, MarkerNumber, Bmp)

View Source

    -spec markerDefineBitmap(This, MarkerNumber, Bmp) -> ok
                                when
                                    This :: wxStyledTextCtrl(),
                                    MarkerNumber :: integer(),
                                    Bmp :: wxBitmap:wxBitmap().

Define a marker with a `wxBitmap`.

Link to this function

# markerDelete(This, Line, MarkerNumber)

View Source

    -spec markerDelete(This, Line, MarkerNumber) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), MarkerNumber :: integer().

Delete a marker from a line.

Link to this function

# markerDeleteAll(This, MarkerNumber)

View Source

    -spec markerDeleteAll(This, MarkerNumber) -> ok
                             when This :: wxStyledTextCtrl(), MarkerNumber :: integer().

Delete all markers with a particular number from all lines.

Link to this function

# markerDeleteHandle(This, MarkerHandle)

View Source

    -spec markerDeleteHandle(This, MarkerHandle) -> ok
                                when This :: wxStyledTextCtrl(), MarkerHandle :: integer().

Delete a marker.

Link to this function

# markerGet(This, Line)

View Source

    -spec markerGet(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Get a bit mask of all the markers set on a line.

Link to this function

# markerLineFromHandle(This, MarkerHandle)

View Source

    -spec markerLineFromHandle(This, MarkerHandle) -> integer()
                                  when This :: wxStyledTextCtrl(), MarkerHandle :: integer().

Retrieve the line number at which a particular marker is located.

Link to this function

# markerNext(This, LineStart, MarkerMask)

View Source

    -spec markerNext(This, LineStart, MarkerMask) -> integer()
                        when This :: wxStyledTextCtrl(), LineStart :: integer(), MarkerMask :: integer().

Find the next line at or after lineStart that includes a marker in mask.

Return -1 when no more lines.

Link to this function

# markerPrevious(This, LineStart, MarkerMask)

View Source

    -spec markerPrevious(This, LineStart, MarkerMask) -> integer()
                            when This :: wxStyledTextCtrl(), LineStart :: integer(), MarkerMask :: integer().

Find the previous line before lineStart that includes a marker in mask.

Link to this function

# markerSetAlpha(This, MarkerNumber, Alpha)

View Source

    -spec markerSetAlpha(This, MarkerNumber, Alpha) -> ok
                            when This :: wxStyledTextCtrl(), MarkerNumber :: integer(), Alpha :: integer().

Set the alpha used for a marker that is drawn in the text area, not the margin.

Link to this function

# markerSetBackground(This, MarkerNumber, Back)

View Source

    -spec markerSetBackground(This, MarkerNumber, Back) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     MarkerNumber :: integer(),
                                     Back :: wx:wx_colour().

Set the background colour used for a particular marker number.

Link to this function

# markerSetForeground(This, MarkerNumber, Fore)

View Source

    -spec markerSetForeground(This, MarkerNumber, Fore) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     MarkerNumber :: integer(),
                                     Fore :: wx:wx_colour().

Set the foreground colour used for a particular marker number.

Link to this function

# moveCaretInsideView(This)

View Source

    -spec moveCaretInsideView(This) -> ok when This :: wxStyledTextCtrl().

Move the caret inside current view if it's not there already.

Link to this function

# new()

View Source

    -spec new() -> wxStyledTextCtrl().

Default ctor.

Link to this function

# new(Parent)

View Source

    -spec new(Parent) -> wxStyledTextCtrl() when Parent :: wxWindow:wxWindow().

Link to this function

# new/2

View Source

    -spec new(Parent, [Option]) -> wxStyledTextCtrl()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Option ::
                         {id, integer()} |
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {style, integer()}.

Ctor.

Link to this function

# newLine(This)

View Source

    -spec newLine(This) -> ok when This :: wxStyledTextCtrl().

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

Link to this function

# pageDown(This)

View Source

    -spec pageDown(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page down.

Link to this function

# pageDownExtend(This)

View Source

    -spec pageDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page down extending selection to new caret position.

Link to this function

# pageDownRectExtend(This)

View Source

    -spec pageDownRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page down, extending rectangular selection to new caret position.

Link to this function

# pageUp(This)

View Source

    -spec pageUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page up.

Link to this function

# pageUpExtend(This)

View Source

    -spec pageUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page up extending selection to new caret position.

Link to this function

# pageUpRectExtend(This)

View Source

    -spec pageUpRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page up, extending rectangular selection to new caret position.

Link to this function

# paraDownExtend(This)

View Source

    -spec paraDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Extend selection down one paragraph (delimited by empty lines).

Link to this function

# paraUp(This)

View Source

    -spec paraUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one paragraph (delimited by empty lines).

Link to this function

# paraUpExtend(This)

View Source

    -spec paraUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Extend selection up one paragraph (delimited by empty lines).

Link to this function

# paste(This)

View Source

    -spec paste(This) -> ok when This :: wxStyledTextCtrl().

Paste the contents of the clipboard into the document replacing the selection.

Link to this function

# pointFromPosition(This, Pos)

View Source

    -spec pointFromPosition(This, Pos) -> {X :: integer(), Y :: integer()}
                               when This :: wxStyledTextCtrl(), Pos :: integer().

Retrieve the point in the window where a position is displayed.

Link to this function

# positionAfter(This, Pos)

View Source

    -spec positionAfter(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Given a valid document position, return the next position taking code page into account.

Maximum value returned is the last position in the document.

Link to this function

# positionBefore(This, Pos)

View Source

    -spec positionBefore(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Given a valid document position, return the previous position taking code page into account.

Returns 0 if passed 0.

Link to this function

# positionFromLine(This, Line)

View Source

    -spec positionFromLine(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the position at the start of a line.

Link to this function

# positionFromPoint(This, Pt)

View Source

    -spec positionFromPoint(This, Pt) -> integer()
                               when This :: wxStyledTextCtrl(), Pt :: {X :: integer(), Y :: integer()}.

Find the position from a point within the window.

Link to this function

# positionFromPointClose(This, X, Y)

View Source

    -spec positionFromPointClose(This, X, Y) -> integer()
                                    when This :: wxStyledTextCtrl(), X :: integer(), Y :: integer().

Find the position from a point within the window but return wxSTC_INVALID_POSITION if not close to text.

Link to this function

# redo(This)

View Source

    -spec redo(This) -> ok when This :: wxStyledTextCtrl().

Redoes the next action on the undo history.

Link to this function

# registerImage(This, Type, Bmp)

View Source

    -spec registerImage(This, Type, Bmp) -> ok
                           when This :: wxStyledTextCtrl(), Type :: integer(), Bmp :: wxBitmap:wxBitmap().

Register an image for use in autocompletion lists.

Link to this function

# replaceSelection(This, Text)

View Source

    -spec replaceSelection(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Replace the selected text with the argument text.

Link to this function

# replaceTarget(This, Text)

View Source

    -spec replaceTarget(This, Text) -> integer() when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Replace the target text with the argument text.

Text is counted so it can contain NULs. Returns the length of the replacement text.

Link to this function

# saveFile(This, Filename)

View Source

    -spec saveFile(This, Filename) -> boolean()
                      when This :: wxStyledTextCtrl(), Filename :: unicode:chardata().

Write the contents of the editor to filename.

Link to this function

# scrollToColumn(This, Column)

View Source

    -spec scrollToColumn(This, Column) -> ok when This :: wxStyledTextCtrl(), Column :: integer().

Scroll enough to make the given column visible.

Link to this function

# scrollToLine(This, Line)

View Source

    -spec scrollToLine(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Scroll enough to make the given line visible.

Link to this function

# searchAnchor(This)

View Source

    -spec searchAnchor(This) -> ok when This :: wxStyledTextCtrl().

Sets the current caret position to be the search anchor.

Link to this function

# searchInTarget(This, Text)

View Source

    -spec searchInTarget(This, Text) -> integer()
                            when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Search for a counted string in the target and set the target to the found range.

Text is counted so it can contain NULs. Returns length of range or -1 for failure in which case target is not moved.

Link to this function

# searchNext(This, SearchFlags, Text)

View Source

    -spec searchNext(This, SearchFlags, Text) -> integer()
                        when
                            This :: wxStyledTextCtrl(), SearchFlags :: integer(), Text :: unicode:chardata().

Find some text starting at the search anchor.

Does not ensure the selection is visible.

Link to this function

# searchPrev(This, SearchFlags, Text)

View Source

    -spec searchPrev(This, SearchFlags, Text) -> integer()
                        when
                            This :: wxStyledTextCtrl(), SearchFlags :: integer(), Text :: unicode:chardata().

Find some text starting at the search anchor and moving backwards.

Does not ensure the selection is visible.

Link to this function

# selectAll(This)

View Source

    -spec selectAll(This) -> ok when This :: wxStyledTextCtrl().

Select all the text in the document.

Link to this function

# selectionDuplicate(This)

View Source

    -spec selectionDuplicate(This) -> ok when This :: wxStyledTextCtrl().

Duplicate the selection.

If selection empty duplicate the line containing the caret.

Link to this function

# selectionIsRectangle(This)

View Source

    -spec selectionIsRectangle(This) -> boolean() when This :: wxStyledTextCtrl().

Is the selection rectangular? The alternative is the more common stream selection.

Link to this function

# setAnchor(This, Anchor)

View Source

    -spec setAnchor(This, Anchor) -> ok when This :: wxStyledTextCtrl(), Anchor :: integer().

Set the selection anchor to a position.

The anchor is the opposite end of the selection from the caret.

Link to this function

# setBackSpaceUnIndents(This, BsUnIndents)

View Source

    -spec setBackSpaceUnIndents(This, BsUnIndents) -> ok
                                   when This :: wxStyledTextCtrl(), BsUnIndents :: boolean().

Sets whether a backspace pressed when caret is within indentation unindents.

Link to this function

# setBufferedDraw(This, Buffered)

View Source

    -spec setBufferedDraw(This, Buffered) -> ok when This :: wxStyledTextCtrl(), Buffered :: boolean().

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

Link to this function

# setCaretForeground(This, Fore)

View Source

    -spec setCaretForeground(This, Fore) -> ok when This :: wxStyledTextCtrl(), Fore :: wx:wx_colour().

Set the foreground colour of the caret.

Link to this function

# setCaretLineBackAlpha(This, Alpha)

View Source

    -spec setCaretLineBackAlpha(This, Alpha) -> ok when This :: wxStyledTextCtrl(), Alpha :: integer().

Set background alpha of the caret line.

Link to this function

# setCaretLineBackground(This, Back)

View Source

    -spec setCaretLineBackground(This, Back) -> ok when This :: wxStyledTextCtrl(), Back :: wx:wx_colour().

Set the colour of the background of the line containing the caret.

Link to this function

# setCaretLineVisible(This, Show)

View Source

    -spec setCaretLineVisible(This, Show) -> ok when This :: wxStyledTextCtrl(), Show :: boolean().

Display the background of the line containing the caret in a different colour.

Link to this function

# setCaretPeriod(This, PeriodMilliseconds)

View Source

    -spec setCaretPeriod(This, PeriodMilliseconds) -> ok
                            when This :: wxStyledTextCtrl(), PeriodMilliseconds :: integer().

Get the time in milliseconds that the caret is on and off.

0 = steady on.

Link to this function

# setCaretSticky(This, UseCaretStickyBehaviour)

View Source

    -spec setCaretSticky(This, UseCaretStickyBehaviour) -> ok
                            when This :: wxStyledTextCtrl(), UseCaretStickyBehaviour :: integer().

Stop the caret preferred x position changing when the user types.

The input should be one of the ?wxSTCCARETSTICKY* constants.

Link to this function

# setCaretWidth(This, PixelWidth)

View Source

    -spec setCaretWidth(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Set the width of the insert mode caret.

Link to this function

# setCharsDefault(This)

View Source

    -spec setCharsDefault(This) -> ok when This :: wxStyledTextCtrl().

Reset the set of characters for whitespace and word characters to the defaults.

Link to this function

# setCodePage(This, CodePage)

View Source

    -spec setCodePage(This, CodePage) -> ok when This :: wxStyledTextCtrl(), CodePage :: integer().

Set the code page used to interpret the bytes of the document as characters.

Link to this function

# setControlCharSymbol(This, Symbol)

View Source

    -spec setControlCharSymbol(This, Symbol) -> ok when This :: wxStyledTextCtrl(), Symbol :: integer().

Change the way control characters are displayed: If symbol is < 32, keep the drawn way, else, use the given character.

Link to this function

# setCurrentPos(This, Caret)

View Source

    -spec setCurrentPos(This, Caret) -> ok when This :: wxStyledTextCtrl(), Caret :: integer().

Sets the position of the caret.

Link to this function

# setEdgeColour(This, EdgeColour)

View Source

    -spec setEdgeColour(This, EdgeColour) -> ok
                           when This :: wxStyledTextCtrl(), EdgeColour :: wx:wx_colour().

Change the colour used in edge indication.

Link to this function

# setEdgeColumn(This, Column)

View Source

    -spec setEdgeColumn(This, Column) -> ok when This :: wxStyledTextCtrl(), Column :: integer().

Set the column number of the edge.

If text goes past the edge then it is highlighted.

Link to this function

# setEdgeMode(This, EdgeMode)

View Source

    -spec setEdgeMode(This, EdgeMode) -> ok when This :: wxStyledTextCtrl(), EdgeMode :: integer().

The edge may be displayed by a line (wxSTC_EDGE_LINE/wxSTC_EDGE_MULTILINE) or by highlighting text that goes beyond it (wxSTC_EDGE_BACKGROUND) or not displayed at all (wxSTC_EDGE_NONE).

The input should be one of the ?wxSTCEDGE* constants.

Link to this function

# setEOLMode(This, EolMode)

View Source

    -spec setEOLMode(This, EolMode) -> ok when This :: wxStyledTextCtrl(), EolMode :: integer().

Set the current end of line mode.

The input should be one of the ?wxSTCEOL* constants.

Link to this function

# setFoldExpanded(This, Line, Expanded)

View Source

    -spec setFoldExpanded(This, Line, Expanded) -> ok
                             when This :: wxStyledTextCtrl(), Line :: integer(), Expanded :: boolean().

Show the children of a header line.

Link to this function

# setFoldFlags(This, Flags)

View Source

    -spec setFoldFlags(This, Flags) -> ok when This :: wxStyledTextCtrl(), Flags :: integer().

Set some style options for folding.

The second argument should be a bit list containing one or more of the ?wxSTCFOLDFLAG* constants.

Link to this function

# setFoldLevel(This, Line, Level)

View Source

    -spec setFoldLevel(This, Line, Level) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), Level :: integer().

Set the fold level of a line.

This encodes an integer level along with flags indicating whether the line is a header and whether it is effectively white space.

Link to this function

# setFoldMarginColour(This, UseSetting, Back)

View Source

    -spec setFoldMarginColour(This, UseSetting, Back) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     UseSetting :: boolean(),
                                     Back :: wx:wx_colour().

Set one of the colours used as a chequerboard pattern in the fold margin.

Link to this function

# setFoldMarginHiColour(This, UseSetting, Fore)

View Source

    -spec setFoldMarginHiColour(This, UseSetting, Fore) -> ok
                                   when
                                       This :: wxStyledTextCtrl(),
                                       UseSetting :: boolean(),
                                       Fore :: wx:wx_colour().

Set the other colour used as a chequerboard pattern in the fold margin.

Link to this function

# setHighlightGuide(This, Column)

View Source

    -spec setHighlightGuide(This, Column) -> ok when This :: wxStyledTextCtrl(), Column :: integer().

Set the highlighted indentation guide column.

0 = no highlighted guide.

Link to this function

# setHotspotActiveBackground(This, UseSetting, Back)

View Source

    -spec setHotspotActiveBackground(This, UseSetting, Back) -> ok
                                        when
                                            This :: wxStyledTextCtrl(),
                                            UseSetting :: boolean(),
                                            Back :: wx:wx_colour().

Set a back colour for active hotspots.

Link to this function

# setHotspotActiveForeground(This, UseSetting, Fore)

View Source

    -spec setHotspotActiveForeground(This, UseSetting, Fore) -> ok
                                        when
                                            This :: wxStyledTextCtrl(),
                                            UseSetting :: boolean(),
                                            Fore :: wx:wx_colour().

Set a fore colour for active hotspots.

Link to this function

# setHotspotActiveUnderline(This, Underline)

View Source

    -spec setHotspotActiveUnderline(This, Underline) -> ok
                                       when This :: wxStyledTextCtrl(), Underline :: boolean().

Enable / Disable underlining active hotspots.

Link to this function

# setHotspotSingleLine(This, SingleLine)

View Source

    -spec setHotspotSingleLine(This, SingleLine) -> ok
                                  when This :: wxStyledTextCtrl(), SingleLine :: boolean().

Limit hotspots to single line so hotspots on two lines don't merge.

Link to this function

# setHScrollBar(This, Bar)

View Source

    -spec setHScrollBar(This, Bar) -> ok when This :: wxStyledTextCtrl(), Bar :: wxScrollBar:wxScrollBar().

Set the horizontal scrollbar to use instead of the one that's built-in.

Link to this function

# setIndent(This, IndentSize)

View Source

    -spec setIndent(This, IndentSize) -> ok when This :: wxStyledTextCtrl(), IndentSize :: integer().

Set the number of spaces used for one level of indentation.

Link to this function

# setIndentationGuides(This, IndentView)

View Source

    -spec setIndentationGuides(This, IndentView) -> ok
                                  when This :: wxStyledTextCtrl(), IndentView :: integer().

Show or hide indentation guides.

The input should be one of the ?wxSTCIV* constants.

Link to this function

# setKeyWords(This, KeyWordSet, KeyWords)

View Source

    -spec setKeyWords(This, KeyWordSet, KeyWords) -> ok
                         when
                             This :: wxStyledTextCtrl(),
                             KeyWordSet :: integer(),
                             KeyWords :: unicode:chardata().

Set up the key words used by the lexer.

Link to this function

# setLastKeydownProcessed(This, Val)

View Source

    -spec setLastKeydownProcessed(This, Val) -> ok when This :: wxStyledTextCtrl(), Val :: boolean().

Returns the line number of the line with the caret.

Link to this function

# setLayoutCache(This, CacheMode)

View Source

    -spec setLayoutCache(This, CacheMode) -> ok when This :: wxStyledTextCtrl(), CacheMode :: integer().

Sets the degree of caching of layout information.

The input should be one of the ?wxSTCCACHE* constants.

Link to this function

# setLexer(This, Lexer)

View Source

    -spec setLexer(This, Lexer) -> ok when This :: wxStyledTextCtrl(), Lexer :: integer().

Set the lexing language of the document.

The input should be one of the ?wxSTCLEX* constants.

Link to this function

# setLexerLanguage(This, Language)

View Source

    -spec setLexerLanguage(This, Language) -> ok
                              when This :: wxStyledTextCtrl(), Language :: unicode:chardata().

Set the lexing language of the document based on string name.

Link to this function

# setLineIndentation(This, Line, Indentation)

View Source

    -spec setLineIndentation(This, Line, Indentation) -> ok
                                when This :: wxStyledTextCtrl(), Line :: integer(), Indentation :: integer().

Change the indentation of a line to a number of columns.

Link to this function

# setLineState(This, Line, State)

View Source

    -spec setLineState(This, Line, State) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), State :: integer().

Used to hold extra styling information for each line.

Link to this function

# setMarginLeft(This, PixelWidth)

View Source

    -spec setMarginLeft(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Sets the size in pixels of the left margin.

Link to this function

# setMarginMask(This, Margin, Mask)

View Source

    -spec setMarginMask(This, Margin, Mask) -> ok
                           when This :: wxStyledTextCtrl(), Margin :: integer(), Mask :: integer().

Set a mask that determines which markers are displayed in a margin.

Link to this function

# setMarginRight(This, PixelWidth)

View Source

    -spec setMarginRight(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Sets the size in pixels of the right margin.

Link to this function

# setMarginSensitive(This, Margin, Sensitive)

View Source

    -spec setMarginSensitive(This, Margin, Sensitive) -> ok
                                when This :: wxStyledTextCtrl(), Margin :: integer(), Sensitive :: boolean().

Make a margin sensitive or insensitive to mouse clicks.

Link to this function

# setMargins(This, Left, Right)

View Source

    -spec setMargins(This, Left, Right) -> ok
                        when This :: wxStyledTextCtrl(), Left :: integer(), Right :: integer().

Set the left and right margin in the edit area, measured in pixels.

Link to this function

# setMarginType(This, Margin, MarginType)

View Source

    -spec setMarginType(This, Margin, MarginType) -> ok
                           when This :: wxStyledTextCtrl(), Margin :: integer(), MarginType :: integer().

Set a margin to be either numeric or symbolic.

The second argument should be one of the ?wxSTCMARGIN* constants.

Link to this function

# setMarginWidth(This, Margin, PixelWidth)

View Source

    -spec setMarginWidth(This, Margin, PixelWidth) -> ok
                            when This :: wxStyledTextCtrl(), Margin :: integer(), PixelWidth :: integer().

Set the width of a margin to a width expressed in pixels.

Link to this function

# setModEventMask(This, EventMask)

View Source

    -spec setModEventMask(This, EventMask) -> ok when This :: wxStyledTextCtrl(), EventMask :: integer().

Set which document modification events are sent to the container.

The input should be a bit list containing one or more of the ?wxSTCMOD constants, the ?wxSTCPERFORMED constants, wxSTC_STARTACTION, wxSTC_MULTILINEUNDOREDO, wxSTC_MULTISTEPUNDOREDO, and wxSTC_LASTSTEPINUNDOREDO. The input can also be wxSTC_MODEVENTMASKALL to indicate that all changes should generate events.

Link to this function

# setMouseDownCaptures(This, Captures)

View Source

    -spec setMouseDownCaptures(This, Captures) -> ok when This :: wxStyledTextCtrl(), Captures :: boolean().

Set whether the mouse is captured when its button is pressed.

Link to this function

# setMouseDwellTime(This, PeriodMilliseconds)

View Source

    -spec setMouseDwellTime(This, PeriodMilliseconds) -> ok
                               when This :: wxStyledTextCtrl(), PeriodMilliseconds :: integer().

Sets the time the mouse must sit still to generate a mouse dwell event.

The input should be a time in milliseconds or wxSTC_TIME_FOREVER.

Link to this function

# setPasteConvertEndings(This, Convert)

View Source

    -spec setPasteConvertEndings(This, Convert) -> ok when This :: wxStyledTextCtrl(), Convert :: boolean().

Enable/Disable convert-on-paste for line endings.

Link to this function

# setPrintColourMode(This, Mode)

View Source

    -spec setPrintColourMode(This, Mode) -> ok when This :: wxStyledTextCtrl(), Mode :: integer().

Modify colours when printing for clearer printed text.

The input should be one of the ?wxSTCPRINT* constants.

Link to this function

# setPrintMagnification(This, Magnification)

View Source

    -spec setPrintMagnification(This, Magnification) -> ok
                                   when This :: wxStyledTextCtrl(), Magnification :: integer().

Sets the print magnification added to the point size of each style for printing.

Link to this function

# setProperty(This, Key, Value)

View Source

    -spec setProperty(This, Key, Value) -> ok
                         when
                             This :: wxStyledTextCtrl(),
                             Key :: unicode:chardata(),
                             Value :: unicode:chardata().

Set up a value that may be used by a lexer for some optional feature.

Link to this function

# setReadOnly(This, ReadOnly)

View Source

    -spec setReadOnly(This, ReadOnly) -> ok when This :: wxStyledTextCtrl(), ReadOnly :: boolean().

Set to read only or read write.

Link to this function

# setSavePoint(This)

View Source

    -spec setSavePoint(This) -> ok when This :: wxStyledTextCtrl().

Remember the current position in the undo history as the position at which the document was saved.

Link to this function

# setScrollWidth(This, PixelWidth)

View Source

    -spec setScrollWidth(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Sets the document width assumed for scrolling.

Link to this function

# setSearchFlags(This, SearchFlags)

View Source

    -spec setSearchFlags(This, SearchFlags) -> ok when This :: wxStyledTextCtrl(), SearchFlags :: integer().

Set the search flags used by SearchInTarget.

The input should be a bit list containing one or more of the ?wxSTCFIND* constants.

Link to this function

# setSelAlpha(This, Alpha)

View Source

    -spec setSelAlpha(This, Alpha) -> ok when This :: wxStyledTextCtrl(), Alpha :: integer().

Set the alpha of the selection.

Link to this function

# setSelBackground(This, UseSetting, Back)

View Source

    -spec setSelBackground(This, UseSetting, Back) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  UseSetting :: boolean(),
                                  Back :: wx:wx_colour().

Set the background colour of the main and additional selections and whether to use this setting.

Link to this function

# setSelection(This, From, To)

View Source

    -spec setSelection(This, From, To) -> ok
                          when This :: wxStyledTextCtrl(), From :: integer(), To :: integer().

Selects the text starting at the first position up to (but not including) the character at the last position.

If both parameters are equal to -1 all text in the control is selected.

Notice that the insertion point will be moved to `from` by this function.

See: `selectAll/1`

Link to this function

# setSelectionEnd(This, Caret)

View Source

    -spec setSelectionEnd(This, Caret) -> ok when This :: wxStyledTextCtrl(), Caret :: integer().

Sets the position that ends the selection - this becomes the caret.

Link to this function

# setSelectionMode(This, SelectionMode)

View Source

    -spec setSelectionMode(This, SelectionMode) -> ok
                              when This :: wxStyledTextCtrl(), SelectionMode :: integer().

Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).

Link to this function

# setSelectionStart(This, Anchor)

View Source

    -spec setSelectionStart(This, Anchor) -> ok when This :: wxStyledTextCtrl(), Anchor :: integer().

Sets the position that starts the selection - this becomes the anchor.

Link to this function

# setSelForeground(This, UseSetting, Fore)

View Source

    -spec setSelForeground(This, UseSetting, Fore) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  UseSetting :: boolean(),
                                  Fore :: wx:wx_colour().

Set the foreground colour of the main and additional selections and whether to use this setting.

Link to this function

# setSTCCursor(This, CursorType)

View Source

    -spec setSTCCursor(This, CursorType) -> ok when This :: wxStyledTextCtrl(), CursorType :: integer().

Sets the cursor to one of the wxSTC_CURSOR* values.

Link to this function

# setSTCFocus(This, Focus)

View Source

    -spec setSTCFocus(This, Focus) -> ok when This :: wxStyledTextCtrl(), Focus :: boolean().

Change internal focus flag.

Link to this function

# setStatus(This, Status)

View Source

    -spec setStatus(This, Status) -> ok when This :: wxStyledTextCtrl(), Status :: integer().

Change error status - 0 = OK.

The input should be one of the ?wxSTCSTATUS* constants.

Link to this function

# setStyleBytes(This, Length)

View Source

    -spec setStyleBytes(This, Length) -> integer() when This :: wxStyledTextCtrl(), Length :: integer().

Set the styles for a segment of the document.

Link to this function

# setStyling(This, Length, Style)

View Source

    -spec setStyling(This, Length, Style) -> ok
                        when This :: wxStyledTextCtrl(), Length :: integer(), Style :: integer().

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

Link to this function

# setTabIndents(This, TabIndents)

View Source

    -spec setTabIndents(This, TabIndents) -> ok when This :: wxStyledTextCtrl(), TabIndents :: boolean().

Sets whether a tab pressed when caret is within indentation indents.

Link to this function

# setTabWidth(This, TabWidth)

View Source

    -spec setTabWidth(This, TabWidth) -> ok when This :: wxStyledTextCtrl(), TabWidth :: integer().

Change the visible size of a tab to be a multiple of the width of a space character.

Link to this function

# setTargetEnd(This, End)

View Source

    -spec setTargetEnd(This, End) -> ok when This :: wxStyledTextCtrl(), End :: integer().

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

Link to this function

# setTargetStart(This, Start)

View Source

    -spec setTargetStart(This, Start) -> ok when This :: wxStyledTextCtrl(), Start :: integer().

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

Link to this function

# setText(This, Text)

View Source

    -spec setText(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Replace the contents of the document with the argument text.

Link to this function

# setTextRaw(This, Text)

View Source

    -spec setTextRaw(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: binary().

Replace the contents of the document with the argument text.

Link to this function

# setTwoPhaseDraw(This, TwoPhase)

View Source

    -spec setTwoPhaseDraw(This, TwoPhase) -> ok when This :: wxStyledTextCtrl(), TwoPhase :: boolean().

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.

This avoids chopping off characters that overlap the next run.

Link to this function

# setUndoCollection(This, CollectUndo)

View Source

    -spec setUndoCollection(This, CollectUndo) -> ok
                               when This :: wxStyledTextCtrl(), CollectUndo :: boolean().

Choose between collecting actions into the undo history and discarding them.

Link to this function

# setUseHorizontalScrollBar(This, Visible)

View Source

    -spec setUseHorizontalScrollBar(This, Visible) -> ok
                                       when This :: wxStyledTextCtrl(), Visible :: boolean().

Show or hide the horizontal scroll bar.

Link to this function

# setUseTabs(This, UseTabs)

View Source

    -spec setUseTabs(This, UseTabs) -> ok when This :: wxStyledTextCtrl(), UseTabs :: boolean().

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

Link to this function

# setUseVerticalScrollBar(This, Visible)

View Source

    -spec setUseVerticalScrollBar(This, Visible) -> ok when This :: wxStyledTextCtrl(), Visible :: boolean().

Show or hide the vertical scroll bar.

Link to this function

# setViewEOL(This, Visible)

View Source

    -spec setViewEOL(This, Visible) -> ok when This :: wxStyledTextCtrl(), Visible :: boolean().

Make the end of line characters visible or invisible.

Link to this function

# setViewWhiteSpace(This, ViewWS)

View Source

    -spec setViewWhiteSpace(This, ViewWS) -> ok when This :: wxStyledTextCtrl(), ViewWS :: integer().

Make white space characters invisible, always visible or visible outside indentation.

The input should be one of the ?wxSTCWS* constants.

Link to this function

# setVisiblePolicy(This, VisiblePolicy, VisibleSlop)

View Source

    -spec setVisiblePolicy(This, VisiblePolicy, VisibleSlop) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  VisiblePolicy :: integer(),
                                  VisibleSlop :: integer().

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

The first argument should be a bit list containing one or more of the ?wxSTCVISIBLE* constants.

Link to this function

# setVScrollBar(This, Bar)

View Source

    -spec setVScrollBar(This, Bar) -> ok when This :: wxStyledTextCtrl(), Bar :: wxScrollBar:wxScrollBar().

Set the vertical scrollbar to use instead of the one that's built-in.

Link to this function

# setWhitespaceBackground(This, UseSetting, Back)

View Source

    -spec setWhitespaceBackground(This, UseSetting, Back) -> ok
                                     when
                                         This :: wxStyledTextCtrl(),
                                         UseSetting :: boolean(),
                                         Back :: wx:wx_colour().

Set the background colour of all whitespace and whether to use this setting.

Link to this function

# setWhitespaceChars(This, Characters)

View Source

    -spec setWhitespaceChars(This, Characters) -> ok
                                when This :: wxStyledTextCtrl(), Characters :: unicode:chardata().

Set the set of characters making up whitespace for when moving or selecting by word.

Should be called after SetWordChars.

Link to this function

# setWhitespaceForeground(This, UseSetting, Fore)

View Source

    -spec setWhitespaceForeground(This, UseSetting, Fore) -> ok
                                     when
                                         This :: wxStyledTextCtrl(),
                                         UseSetting :: boolean(),
                                         Fore :: wx:wx_colour().

Set the foreground colour of all whitespace and whether to use this setting.

Link to this function

# setWordChars(This, Characters)

View Source

    -spec setWordChars(This, Characters) -> ok
                          when This :: wxStyledTextCtrl(), Characters :: unicode:chardata().

Set the set of characters making up words for when moving or selecting by word.

First sets defaults like SetCharsDefault.

Link to this function

# setWrapMode(This, WrapMode)

View Source

    -spec setWrapMode(This, WrapMode) -> ok when This :: wxStyledTextCtrl(), WrapMode :: integer().

Sets whether text is word wrapped.

The input should be one of the ?wxSTCWRAP* constants.

Link to this function

# setWrapStartIndent(This, Indent)

View Source

    -spec setWrapStartIndent(This, Indent) -> ok when This :: wxStyledTextCtrl(), Indent :: integer().

Set the start indent for wrapped lines.

Link to this function

# setWrapVisualFlags(This, WrapVisualFlags)

View Source

    -spec setWrapVisualFlags(This, WrapVisualFlags) -> ok
                                when This :: wxStyledTextCtrl(), WrapVisualFlags :: integer().

Set the display mode of visual flags for wrapped lines.

The input should be a bit list containing one or more of the ?wxSTCWRAPVISUALFLAG* constants.

Link to this function

# setWrapVisualFlagsLocation(This, WrapVisualFlagsLocation)

View Source

    -spec setWrapVisualFlagsLocation(This, WrapVisualFlagsLocation) -> ok
                                        when
                                            This :: wxStyledTextCtrl(), WrapVisualFlagsLocation :: integer().

Set the location of visual flags for wrapped lines.

The input should be a bit list containing one or more of the ?wxSTCWRAPVISUALFLAGLOC* constants.

Link to this function

# setXCaretPolicy(This, CaretPolicy, CaretSlop)

View Source

    -spec setXCaretPolicy(This, CaretPolicy, CaretSlop) -> ok
                             when
                                 This :: wxStyledTextCtrl(),
                                 CaretPolicy :: integer(),
                                 CaretSlop :: integer().

Set the way the caret is kept visible when going sideways.

The exclusion zone is given in pixels.

The first argument should be a bit list containing one or more of the ?wxSTCCARET* constants.

Link to this function

# setYCaretPolicy(This, CaretPolicy, CaretSlop)

View Source

    -spec setYCaretPolicy(This, CaretPolicy, CaretSlop) -> ok
                             when
                                 This :: wxStyledTextCtrl(),
                                 CaretPolicy :: integer(),
                                 CaretSlop :: integer().

Set the way the line the caret is on is kept visible.

The exclusion zone is given in lines.

The first argument should be a bit list containing one or more of the ?wxSTCCARET* constants.

Link to this function

# setZoom(This, ZoomInPoints)

View Source

    -spec setZoom(This, ZoomInPoints) -> ok when This :: wxStyledTextCtrl(), ZoomInPoints :: integer().

Set the zoom level.

This number of points is added to the size of all fonts. It may be positive to magnify or negative to reduce.

Link to this function

# showLines(This, LineStart, LineEnd)

View Source

    -spec showLines(This, LineStart, LineEnd) -> ok
                       when This :: wxStyledTextCtrl(), LineStart :: integer(), LineEnd :: integer().

Make a range of lines visible.

Link to this function

# startRecord(This)

View Source

    -spec startRecord(This) -> ok when This :: wxStyledTextCtrl().

Start notifying the container of all key presses and commands.

Link to this function

# startStyling(This, Start)

View Source

    -spec startStyling(This, Start) -> ok when This :: wxStyledTextCtrl(), Start :: integer().

Set the current styling position to start.

Link to this function

# stopRecord(This)

View Source

    -spec stopRecord(This) -> ok when This :: wxStyledTextCtrl().

Stop notifying the container of all key presses and commands.

Link to this function

# stutteredPageDown(This)

View Source

    -spec stutteredPageDown(This) -> ok when This :: wxStyledTextCtrl().

Move caret to bottom of page, or one page down if already at bottom of page.

Link to this function

# stutteredPageDownExtend(This)

View Source

    -spec stutteredPageDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

Link to this function

# stutteredPageUp(This)

View Source

    -spec stutteredPageUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret to top of page, or one page up if already at top of page.

Link to this function

# stutteredPageUpExtend(This)

View Source

    -spec stutteredPageUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

Link to this function

# styleClearAll(This)

View Source

    -spec styleClearAll(This) -> ok when This :: wxStyledTextCtrl().

Clear all the styles and make equivalent to the global default style.

Link to this function

# styleResetDefault(This)

View Source

    -spec styleResetDefault(This) -> ok when This :: wxStyledTextCtrl().

Reset the default style to its state at startup.

Link to this function

# styleSetBackground(This, Style, Back)

View Source

    -spec styleSetBackground(This, Style, Back) -> ok
                                when This :: wxStyledTextCtrl(), Style :: integer(), Back :: wx:wx_colour().

Set the background colour of a style.

Link to this function

# styleSetBold(This, Style, Bold)

View Source

    -spec styleSetBold(This, Style, Bold) -> ok
                          when This :: wxStyledTextCtrl(), Style :: integer(), Bold :: boolean().

Set a style to be bold or not.

Link to this function

# styleSetCase(This, Style, CaseVisible)

View Source

    -spec styleSetCase(This, Style, CaseVisible) -> ok
                          when This :: wxStyledTextCtrl(), Style :: integer(), CaseVisible :: integer().

Set a style to be mixed case, or to force upper or lower case.

The second argument should be one of the ?wxSTCCASE* constants.

Link to this function

# styleSetCharacterSet(This, Style, CharacterSet)

View Source

    -spec styleSetCharacterSet(This, Style, CharacterSet) -> ok
                                  when
                                      This :: wxStyledTextCtrl(),
                                      Style :: integer(),
                                      CharacterSet :: integer().

Set the character set of the font in a style.

Converts the Scintilla character set values to a wxFontEncoding.

Link to this function

# styleSetEOLFilled(This, Style, EolFilled)

View Source

    -spec styleSetEOLFilled(This, Style, EolFilled) -> ok
                               when This :: wxStyledTextCtrl(), Style :: integer(), EolFilled :: boolean().

Set a style to have its end of line filled or not.

Link to this function

# styleSetFaceName(This, Style, FontName)

View Source

    -spec styleSetFaceName(This, Style, FontName) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  Style :: integer(),
                                  FontName :: unicode:chardata().

Set the font of a style.

Link to this function

# styleSetFont(This, StyleNum, Font)

View Source

    -spec styleSetFont(This, StyleNum, Font) -> ok
                          when This :: wxStyledTextCtrl(), StyleNum :: integer(), Font :: wxFont:wxFont().

Set style size, face, bold, italic, and underline attributes from a `wxFont`'s attributes.

Link to this function

# styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline)

View Source

    -spec styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  StyleNum :: integer(),
                                  Size :: integer(),
                                  FaceName :: unicode:chardata(),
                                  Bold :: boolean(),
                                  Italic :: boolean(),
                                  Underline :: boolean().

Link to this function

# styleSetFontAttr/8

View Source

    -spec styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline, [Option]) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  StyleNum :: integer(),
                                  Size :: integer(),
                                  FaceName :: unicode:chardata(),
                                  Bold :: boolean(),
                                  Italic :: boolean(),
                                  Underline :: boolean(),
                                  Option :: {encoding, wx:wx_enum()}.

Set all font style attributes at once.

Link to this function

# styleSetFontEncoding(This, Style, Encoding)

View Source

    -spec styleSetFontEncoding(This, Style, Encoding) -> ok
                                  when
                                      This :: wxStyledTextCtrl(),
                                      Style :: integer(),
                                      Encoding :: wx:wx_enum().

Set the font encoding to be used by a style.

Link to this function

# styleSetForeground(This, Style, Fore)

View Source

    -spec styleSetForeground(This, Style, Fore) -> ok
                                when This :: wxStyledTextCtrl(), Style :: integer(), Fore :: wx:wx_colour().

Set the foreground colour of a style.

Link to this function

# styleSetHotSpot(This, Style, Hotspot)

View Source

    -spec styleSetHotSpot(This, Style, Hotspot) -> ok
                             when This :: wxStyledTextCtrl(), Style :: integer(), Hotspot :: boolean().

Set a style to be a hotspot or not.

Link to this function

# styleSetItalic(This, Style, Italic)

View Source

    -spec styleSetItalic(This, Style, Italic) -> ok
                            when This :: wxStyledTextCtrl(), Style :: integer(), Italic :: boolean().

Set a style to be italic or not.

Link to this function

# styleSetSize(This, Style, SizePoints)

View Source

    -spec styleSetSize(This, Style, SizePoints) -> ok
                          when This :: wxStyledTextCtrl(), Style :: integer(), SizePoints :: integer().

Set the size of characters of a style.

Link to this function

# styleSetSpec(This, StyleNum, Spec)

View Source

    -spec styleSetSpec(This, StyleNum, Spec) -> ok
                          when This :: wxStyledTextCtrl(), StyleNum :: integer(), Spec :: unicode:chardata().

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements:

bold turns on bold italic turns on italics fore:[name or #RRGGBB] sets the foreground colour back:[name or #RRGGBB] sets the background colour face:[facename] sets the font face name to use size:[num] sets the font size in points eol turns on eol filling underline turns on underlining

Link to this function

# styleSetUnderline(This, Style, Underline)

View Source

    -spec styleSetUnderline(This, Style, Underline) -> ok
                               when This :: wxStyledTextCtrl(), Style :: integer(), Underline :: boolean().

Set a style to be underlined or not.

Link to this function

# styleSetVisible(This, Style, Visible)

View Source

    -spec styleSetVisible(This, Style, Visible) -> ok
                             when This :: wxStyledTextCtrl(), Style :: integer(), Visible :: boolean().

Set a style to be visible or not.

Link to this function

# tab(This)

View Source

    -spec tab(This) -> ok when This :: wxStyledTextCtrl().

If selection is empty or all on one line replace the selection with a tab character.

If more than one line selected, indent the lines.

Link to this function

# targetFromSelection(This)

View Source

    -spec targetFromSelection(This) -> ok when This :: wxStyledTextCtrl().

Make the target range start and end be the same as the selection range start and end.

Link to this function

# textHeight(This, Line)

View Source

    -spec textHeight(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the height of a particular line of text in pixels.

Link to this function

# textWidth(This, Style, Text)

View Source

    -spec textWidth(This, Style, Text) -> integer()
                       when This :: wxStyledTextCtrl(), Style :: integer(), Text :: unicode:chardata().

Measure the pixel width of some text in a particular style.

Does not handle tab or control characters.

Link to this function

# toggleCaretSticky(This)

View Source

    -spec toggleCaretSticky(This) -> ok when This :: wxStyledTextCtrl().

Switch between sticky and non-sticky: meant to be bound to a key.

Link to this function

# toggleFold(This, Line)

View Source

    -spec toggleFold(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Switch a header line between expanded and contracted.

Link to this function

# undo(This)

View Source

    -spec undo(This) -> ok when This :: wxStyledTextCtrl().

Undo one action in the undo history.

Link to this function

# upperCase(This)

View Source

    -spec upperCase(This) -> ok when This :: wxStyledTextCtrl().

Transform the selection to upper case.

Link to this function

# usePopUp(This, PopUpMode)

View Source

    -spec usePopUp(This, PopUpMode) -> ok when This :: wxStyledTextCtrl(), PopUpMode :: integer().

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button on certain areas.

The input should be one of the ?wxSTCPOPUP* constants.

Remark: When `wxContextMenuEvent` is used to create a custom popup menu, this function should be called with wxSTC_POPUP_NEVER. Otherwise the default menu will be shown instead of the custom one.

Link to this function

# userListShow(This, ListType, ItemList)

View Source

    -spec userListShow(This, ListType, ItemList) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              ListType :: integer(),
                              ItemList :: unicode:chardata().

Display a list of strings and send notification when user chooses one.

Link to this function

# vCHome(This)

View Source

    -spec vCHome(This) -> ok when This :: wxStyledTextCtrl().

Move caret to before first visible character on line.

If already there move to first character on line.

Link to this function

# vCHomeExtend(This)

View Source

    -spec vCHomeExtend(This) -> ok when This :: wxStyledTextCtrl().

Like VCHome but extending selection to new caret position.

Link to this function

# vCHomeRectExtend(This)

View Source

    -spec vCHomeRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to before first visible character on line.

If already there move to first character on line. In either case, extend rectangular selection to new caret position.

Link to this function

# vCHomeWrap(This)

View Source

    -spec vCHomeWrap(This) -> ok when This :: wxStyledTextCtrl().

Like VCHome but when word-wrap is enabled goes first to start of display line VCHomeDisplay, then behaves like VCHome.

Link to this function

# vCHomeWrapExtend(This)

View Source

    -spec vCHomeWrapExtend(This) -> ok when This :: wxStyledTextCtrl().

Like VCHomeExtend but when word-wrap is enabled extends first to start of display line VCHomeDisplayExtend, then behaves like VCHomeExtend.

Link to this function

# visibleFromDocLine(This, DocLine)

View Source

    -spec visibleFromDocLine(This, DocLine) -> integer()
                                when This :: wxStyledTextCtrl(), DocLine :: integer().

Find the display line of a document line taking hidden lines into account.

Link to this function

# wordEndPosition(This, Pos, OnlyWordCharacters)

View Source

    -spec wordEndPosition(This, Pos, OnlyWordCharacters) -> integer()
                             when
                                 This :: wxStyledTextCtrl(),
                                 Pos :: integer(),
                                 OnlyWordCharacters :: boolean().

Get position of end of word.

Link to this function

# wordLeft(This)

View Source

    -spec wordLeft(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word.

Link to this function

# wordLeftEnd(This)

View Source

    -spec wordLeftEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word, position cursor at end of word.

Link to this function

# wordLeftEndExtend(This)

View Source

    -spec wordLeftEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word, position cursor at end of word, extending selection to new caret position.

Link to this function

# wordLeftExtend(This)

View Source

    -spec wordLeftExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word extending selection to new caret position.

Link to this function

# wordPartLeft(This)

View Source

    -spec wordPartLeft(This) -> ok when This :: wxStyledTextCtrl().

Move to the previous change in capitalisation.

Link to this function

# wordPartLeftExtend(This)

View Source

    -spec wordPartLeftExtend(This) -> ok when This :: wxStyledTextCtrl().

Move to the previous change in capitalisation extending selection to new caret position.

Link to this function

# wordPartRight(This)

View Source

    -spec wordPartRight(This) -> ok when This :: wxStyledTextCtrl().

Move to the change next in capitalisation.

Link to this function

# wordPartRightExtend(This)

View Source

    -spec wordPartRightExtend(This) -> ok when This :: wxStyledTextCtrl().

Move to the next change in capitalisation extending selection to new caret position.

Link to this function

# wordRight(This)

View Source

    -spec wordRight(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word.

Link to this function

# wordRightEnd(This)

View Source

    -spec wordRightEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word, position cursor at end of word.

Link to this function

# wordRightEndExtend(This)

View Source

    -spec wordRightEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word, position cursor at end of word, extending selection to new caret position.

Link to this function

# wordRightExtend(This)

View Source

    -spec wordRightExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word extending selection to new caret position.

Link to this function

# wordStartPosition(This, Pos, OnlyWordCharacters)

View Source

    -spec wordStartPosition(This, Pos, OnlyWordCharacters) -> integer()
                               when
                                   This :: wxStyledTextCtrl(),
                                   Pos :: integer(),
                                   OnlyWordCharacters :: boolean().

Get position of start of word.

Link to this function

# wrapCount(This, DocLine)

View Source

    -spec wrapCount(This, DocLine) -> integer() when This :: wxStyledTextCtrl(), DocLine :: integer().

The number of display lines needed to wrap a document line.

Link to this function

# zoomIn(This)

View Source

    -spec zoomIn(This) -> ok when This :: wxStyledTextCtrl().

Magnify the displayed text by increasing the sizes by 1 point.

Link to this function

# zoomOut(This)

View Source

    -spec zoomOut(This) -> ok when This :: wxStyledTextCtrl().

Make the displayed text smaller by decreasing the sizes by 1 point.